-- is_use=是否直接使用
-- 商店导购
-- shop_id=商店ID		
-- 任务导购
-- map_id=地图ID,=0表示当前地图,!=0表示指定地图
-- npc_id=NPC ID,
-- title=任务导购标题
-- icon=任务导购图标
-- x,y=寻路坐标
-- radius=4,距离目标radius时停下

-- 导购货币类型配置 
-- icon图标
--tongyong_bosshqpic boss图标
--tongyong_jifenhqpic 积分商城
--tongyong_renwuhqpic 任务图标
--tongyong_jiaoyihqpic 交易图标
---- 这是例子
--		["gui"] = {
--			["Amount"] = 4,
--			[0] = { ["gui_id"] = 2407, ["main_id"] = 1, ["sub_id"] = 3, ["other_id"] = -1, ["need_lev"] = 50, ["title"] = "STR_COMMONGUIDE_2407", ["icon"]="tongyong_renwuhqpic"},
--			[1] = { ["gui_id"] = 2407, ["main_id"] = 2, ["sub_id"] = 1, ["other_id"] = -1, ["need_lev"] = 50, ["title"] = "STR_COMMONGUIDE_2407", ["icon"]="tongyong_renwuhqpic"},
--			[2] = { ["gui_id"] = 2407, ["main_id"] = 3, ["sub_id"] = -1, ["other_id"] = -1, ["need_lev"] = 141, ["title"] = "STR_COMMONGUIDE_2407", ["icon"]="tongyong_renwuhqpic"},
--			[3] = { ["gui_id"] = 646, ["main_id"] = -1, ["sub_id"] = -1, ["other_id"] = -1, ["need_lev"] = 0, ["title"] = "STR_COMMONGUIDE_2407", ["icon"]="tongyong_renwuhqpic"},
--		}
--天石商店需要配置商店ID，剩下的商店ID可以填任意值
--[[
物品分类itemSort
const int	ITEMSORT_HELMET					=	1;	// 头盔
const int	ITEMSORT_NECKLACE				=	2;	// 项链
const int	ITEMSORT_ARMOR					=	3;	// 盔甲
const int	ITEMSORT_WEAPON_SINGLE_HAND		=	4;	// 单手武器
const int	ITEMSORT_WEAPON_DOUBLE_HAND		=	5;	// 双手武器
const int	ITEMSORT_SHIELD					=	6;	// 盾牌
const int	ITEMSORT_RING					=	7;	// 戒指
const int	ITEMSORT_SHOES					=	8;	// 鞋子
const int	ITEMSORT_OTHER					=	9;	// 其他, 不能直接使用
const int	ITEMSORT_TALISMAN				=	10;	// 法宝
const int	ITEMSORT_OVERCOAT				=   11; // 外套
const int   ITEMSORT_ARTIFACT = 12;					// 宝物
const int	ITEMSORT_MOUNT					=	14;	// 骑宠
const int	ITEMSORT_SHORT_WEAPON_COAT		=	15;	// 短武器外套
const int	ITEMSORT_LONG_WEAPON_COAT		=	16;	// 长武器外套
const int	ITEMSORT_BOW_COAT				=	17;	// 弓外套
const int	ITEMSORT_SHIELD_COAT			=	18; // 盾外套
const int	ITEMSORT_DECORATOR_MOUNT		=	20;	// 坐骑外套
const int	ITEMSORT_HORSE_WHIP				=	21;	// 马鞭
const int	ITEMSORT_WING					=	22; // 风雷翅
--]]

local E_GUIDE_ITEM = 0		-- 以物品ID为驱动进行导购
local E_GUIDE_COSTOM = 1	-- 以导购ID为驱动进行导购

local E_T_STONE		= 1	-- 天石
local E_T_STONE_T 	= 2	-- 赠点天石
local E_T_RACEPOINT	= 4	-- 骑点
local E_T_SCORE		= 5	-- 黄金联赛积分
local E_T_HONOR		= 6	-- 荣誉

local MoneyTypeInfo = {
	[E_T_STONE] = {
		["icon"] = "tongyong_tstbpic"
	},
	[E_T_STONE_T] = {
		["icon"]="tongyong_tsztbpic"
	},
	[E_T_SCORE] = {["icon"]="tongyong_jifenpic"},
	[E_T_HONOR] = {["icon"]="tongyong_rongyupic"},
	[E_T_RACEPOINT] = {["icon"]="tongyong_rongyupic"},
}

local function GetMoneyTypeInfo(typeid, key, default)

	local tInfo = MoneyTypeInfo[typeid]
	if (tInfo == nil) then
		return default
	end

	local ret = tInfo[key];
	if (ret == nil) then
		return default
	end
	
	return ret
end

local ItemTypeID= {
	-- 微光星陨石
	[3009000] = {
		["is_use"] 	= 0,
		["gui"] = {
			["Amount"] = 1,
			[0] = { ["gui_id"] = 587, ["main_id"] = 1, ["sub_id"] = 1, ["other_id"] = -1, ["need_lev"] = 1, ["title"] = "STR_COMMONGUIDE_Daily", ["icon"]="MainUI_DailyBtn"},
		}
	},
	-- 明亮星陨石
	[3009001] = {
		["is_use"] 	= 0,
		["gui"] = {
			["Amount"] = 1,
			[0] = { ["gui_id"] = 587, ["main_id"] = 1, ["sub_id"] = 1, ["other_id"] = -1, ["need_lev"] = 1, ["title"] = "STR_COMMONGUIDE_Daily", ["icon"]="MainUI_DailyBtn"},
		}
	},
	-- 聚神丹
	[723700] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
		["gui"] = {
			["Amount"] = 1,
			[0] = { ["gui_id"] = 587, ["main_id"] = 1, ["sub_id"] = 1, ["other_id"] = -1, ["need_lev"] = 1, ["title"] = "STR_COMMONGUIDE_Daily", ["icon"]="MainUI_DailyBtn"},
		}
	},
	-- 赤练石+1
	[730001] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
		["gui"] = {
			["Amount"] = 1,
			[0] = { ["gui_id"] = 587, ["main_id"] = 1, ["sub_id"] = 1, ["other_id"] = -1, ["need_lev"] = 1, ["title"] = "STR_COMMONGUIDE_Daily", ["icon"]="MainUI_DailyBtn"},
		}
	},
	-- 赤练石+2
	[730002] = {
		["is_use"] 	= 0,
		["gui"] = {
			["Amount"] = 1,
			[0] = { ["gui_id"] = 587, ["main_id"] = 1, ["sub_id"] = 1, ["other_id"] = -1, ["need_lev"] = 1, ["title"] = "STR_COMMONGUIDE_Daily", ["icon"]="MainUI_DailyBtn"},
		}
	},
	-- 赤练石+3
	[730003] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
		["gui"] = {
			["Amount"] = 1,
			[0] = { ["gui_id"] = 587, ["main_id"] = 1, ["sub_id"] = 1, ["other_id"] = -1, ["need_lev"] = 1, ["title"] = "STR_COMMONGUIDE_Daily", ["icon"]="MainUI_DailyBtn"},
		}
	},
	-- 赤练石+4
	[730004] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 赤练石+5
	[730005] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 赤练石+6
	[730006] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 炽热天石碎片
	[3008727] = {
		["is_use"] 	= 0,
		["gui"] = {
			["Amount"] = 1,
			[0] = { ["gui_id"] = 587, ["main_id"] = 1, ["sub_id"] = 1, ["other_id"] = -1, ["need_lev"] = 1, ["title"] = "STR_COMMONGUIDE_Daily", ["icon"]="MainUI_DailyBtn"},
		}
	},
	-- 正气令
	[729304] = {
		["is_use"] 	= 0,
		["gui"] = {
			["Amount"] = 1,
			[0] = { ["gui_id"] = 587, ["main_id"] = 1, ["sub_id"] = 1, ["other_id"] = -1, ["need_lev"] = 1, ["title"] = "STR_COMMONGUIDE_Daily", ["icon"]="MainUI_DailyBtn"},
		}
	},
	-- 昆仑雪水
	[723017] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
		["gui"] = {
			["Amount"] = 1,
			[0] = { ["gui_id"] = 587, ["main_id"] = 1, ["sub_id"] = 1, ["other_id"] = -1, ["need_lev"] = 1, ["title"] = "STR_COMMONGUIDE_Daily", ["icon"]="MainUI_DailyBtn"},
		}
	},
	-- 100万爵位勋章
	[3314199] = {
		["is_use"] 	= 0,
		["gui"] = {
			["Amount"] = 1,
			[0] = { ["gui_id"] = 587, ["main_id"] = 1, ["sub_id"] = 1, ["other_id"] = -1, ["need_lev"] = 1, ["title"] = "STR_COMMONGUIDE_Daily", ["icon"]="MainUI_DailyBtn"},
		}
	},
	-- 秘制免费修炼丹
	[3002926] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
		["gui"] = {
			["Amount"] = 1,
			[0] = { ["gui_id"] = 587, ["main_id"] = 1, ["sub_id"] = 1, ["other_id"] = -1, ["need_lev"] = 1, ["title"] = "STR_COMMONGUIDE_Daily", ["icon"]="MainUI_DailyBtn"},
		}
	},
	-- 流星
	[1088001] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 龙珠
	[1088000] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 金刚坚钻
	[1200005] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 1阶龙魂
	[4200001] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 2阶龙魂
	[4200002] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 3阶龙魂
	[4200003] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 4阶龙魂
	[4200004] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 5阶龙魂
	[4200005] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 6阶龙魂
	[4200006] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 7阶龙魂
	[4200007] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 8阶龙魂
	[4200008] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 9阶龙魂
	[4200009] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 10阶龙魂
	[4200010] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 11阶龙魂
	[4200011] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 固化石
	[723694] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 超大固化石
	[723695] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 玄元宝石
	[700073] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 天怒宝石
	[700102] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 良品地灵宝石
	[700122] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- SmallStone(B)Pack
	[3304948] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- BigStone(B)Pack
	[3304949] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 马包
	[3333148] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- +6马包
	[3001406] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
}

local ForgeTypeID= {
	-- 赤练石+1
	[730001] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 2,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
			[1] = {["money_type"] = E_T_STONE_T,["shopid"]=2888},
		},
	},
	-- 赤练石+3
	[730003] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 2,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
			[1] = {["money_type"] = E_T_STONE_T,["shopid"]=2888},
		},
	},
	-- 赤练石+5
	[730005] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 2,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
			[1] = {["money_type"] = E_T_STONE_T,["shopid"]=2888},
		},
	},
	-- 流星
	[1088001] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 2,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
			[1] = {["money_type"] = E_T_STONE_T,["shopid"]=2888},
		},
	},
	-- 龙珠
	[1088000] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 金刚坚钻
	[1200005] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 固化石
	[723694] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 超大固化石
	[723695] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 玄元宝石
	[700073] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 天怒宝石
	[700102] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 良品地灵宝石
	[700122] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- 马包
	[3333148] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
	-- +6马包
	[3001406] = {
		["is_use"] 	= 0,
		["shop"]	= {
			["Amount"] = 1,
			[0] = {["money_type"] = E_T_STONE,["shopid"]=2888},
		},
	},
}

-- 自定义导购ID信息
-- 请勿配置shop,该方式无效
local CustomGuideInfo= {	
	[1] = {
		["npc"]		= { 
			["Amount"] = 1,
			[0] = { ["radius"] = 4, ["map_id"]=1002,["npc_id"]=27211,["x"]=219,["y"]=149,["title"]="STR_COMMONGUIDE_BangPai_1",["icon"]="tongyong_renwuhqpic"},					
		},
		
		["gui"] = {
			["Amount"] = 1,
			[0] = { ["gui_id"] = 413, ["main_id"] = -1, ["sub_id"] = -1, ["other_id"] = -1, ["need_lev"] = 1, ["title"] = "STR_COMMONGUIDE_BangPai_2", ["icon"]="bangpai_sbtjxbtn"},
		}
	},
}

--以下接口都是加了一个参数isForge 表示是否是锻造导购,都是修改原先的接口，直接换掉原先的接口
local function HadGuideInfo(guide, typeid, isForge)

	local tInfo = ItemTypeID[typeid]
	if isForge == true then
		tInfo = ForgeTypeID[typeid]
	end
	
	-- 如果是自定义导购
	if E_GUIDE_COSTOM == guide then
		tInfo = CustomGuideInfo[typeid]
	end
	
	if (tInfo == nil) then
		return false
	end
	
	if ((tInfo["shop"] ~= nil) and (tInfo["shop"]["Amount"] > 0)) or ((tInfo["npc"] ~= nil) and (tInfo["npc"]["Amount"] > 0)) then
		return true
	end

	if ((tInfo["gui"] ~= nil) and (tInfo["gui"]["Amount"] > 0)) then
		return true
	end
	
	return false	
end

local function GetGuideNpcAmount(guide, typeid, isForge)

	local tInfo = ItemTypeID[typeid]
	if isForge == true then
		tInfo = ForgeTypeID[typeid]
	end
	
	-- 如果是自定义导购
	if E_GUIDE_COSTOM == guide then
		tInfo = CustomGuideInfo[typeid]
	end
	
	if (tInfo == nil) then
		return 0
	end

	tInfo = tInfo["npc"];
	if (tInfo == nil) then
		return 0
	end
	
	local Amount = tInfo["Amount"]
	if (Amount == nil) then
		return 0
	end
	
	return Amount
end

local function GetGuideNpcInfo(guide, typeid, index, key, default, isForge)
    local tInfo = ItemTypeID[typeid]
	if isForge == true then
		tInfo = ForgeTypeID[typeid]
	end
	
	-- 如果是自定义导购
	if E_GUIDE_COSTOM == guide then
		tInfo = CustomGuideInfo[typeid]
	end

    if (tInfo == nil) then
        return default
    end
	
	if (tInfo["npc"] == nil) then
		return default
	end
	
	tInfo = tInfo["npc"][index]
	if (tInfo == nil) then
		return default
	end
	
    local ret = tInfo[key]
    if (ret == nil) then
        return default
    end

    return ret
end

local function GetGuideGuiAmount(guide, typeid, isForge)
	local tInfo = ItemTypeID[typeid]
	if isForge == true then
		tInfo = ForgeTypeID[typeid]
	end
	
	-- 如果是自定义导购
	if E_GUIDE_COSTOM == guide then
		tInfo = CustomGuideInfo[typeid]
	end
	
	if (tInfo == nil) then
		return 0
	end

	tInfo = tInfo["gui"]
	if (tInfo == nil) then
		return 0
	end
	
	local Amount = tInfo["Amount"]
	if (Amount == nil) then
		return 0
	end
	
	return Amount
end

local function GetGuideGuiInfo(guide, typeid, index, key, default, isForge)
	local tInfo = ItemTypeID[typeid]
	if isForge == true then
		tInfo = ForgeTypeID[typeid]
	end
	
	-- 如果是自定义导购
	if E_GUIDE_COSTOM == guide then
		tInfo = CustomGuideInfo[typeid]
	end

    if (tInfo == nil) then
        return default
    end
	
	if (tInfo["gui"] == nil) then
		return default
	end
	
	tInfo = tInfo["gui"][index]
	if (tInfo == nil) then
		return default
	end
	
    local ret = tInfo[key]
    if (ret == nil) then
        return default
    end

    return ret
end


local function GetGuideShopAmount(typeid, isForge)

	local tInfo = ItemTypeID[typeid]
	if isForge == true then
		tInfo = ForgeTypeID[typeid]
	end
	if (tInfo == nil) then
		return 0
	end

	tInfo = tInfo["shop"];
	if (tInfo == nil) then
		return 0
	end
	
	local Amount = tInfo["Amount"]
	if (Amount == nil) then
		return 0
	end
	
	return Amount
end

local function GetGuideShopInfo(typeid, index, key, default,isForge)
    local tInfo = ItemTypeID[typeid]
	if isForge == true then
		tInfo = ForgeTypeID[typeid]
	end
    if (tInfo == nil) then
        return default
    end
	
	if (tInfo["shop"] == nil) then
		return default
	end
	
	tInfo = tInfo["shop"][index]
	if (tInfo == nil) then
		return default
	end
	
    local ret = tInfo[key]
    if (ret == nil) then
        return default
    end

    return ret
end

local function GetGuideInfo(typeid, key, default,isForge)
    local tInfo = ItemTypeID[typeid]
	if isForge == true then
		tInfo = ForgeTypeID[typeid]
	end

    if (tInfo == nil) then
        return default
    end
	
	local ret = tInfo[key]
	if (ret == nil) then
		return default
	end
	
    return ret
end

local DlgIdToItemTab = {
	[335] = "730001,730003,730005", -- 追加
	[631] = "1088001,1088000", -- 升级
	[632] = "1088000", -- 升品
	-- [377] = "3333148,3001406", -- 坐骑
	[784] = "730001,730003,730005", -- 精炼
	-- [105] = "700102,700122", -- 加持
	-- [633] = "723694,723695", -- 淬炼
	-- [455] = "723694,723695", -- 神魂
	[229] = "1088000", -- 装备/法宝
	-- [2400] = "730001,730003",
}

local function GetDlgIdToItemId(dlgId)
	if dlgId == nil or DlgIdToItemTab[dlgId] == nil then
		return ""
	end
	
	return  DlgIdToItemTab[dlgId]
end

-- 窗口是否可以显示导购按钮
local function IsCanShwGuideBtn(dlgId)
	if dlgId == 789 then
		return false
	end
	
	return true
end

-- itemtype 主物品
-- hole 要镶嵌的洞 0:第一洞 1:第二洞
--itemSort 物品分类(根据itemtype得来的)
--isGift 主物品是否是赠品，0为不是，其它值为是
-- 获取镶嵌物品对应的导购ID
local function GetEmbedGuidId(itemtype, hole,itemSort,isGift)
	-- 风雷翅第二洞只显示地灵宝石
	if (math.floor(itemtype / 1000) == 204) or (itemtype == 3308040) then
		-- 风雷翅第一洞只显示天怒宝石
		if hole == 0 then
			return "700102"
		end
		-- 风雷翅第二洞只显示地灵宝石
		return "700122"
	end
	
	-- 凌霄扇1,2洞只显示天怒宝石
	if (math.floor(itemtype / 1000) == 201) or (itemtype == 3308038) then
		return "700102"
	end
	
	-- 混元塔1,2洞只显示地灵宝石
	if (math.floor(itemtype / 1000) == 202) or (itemtype == 3308039) then
		return "700122"
	end
	
	if itemSort == 12 then  --宝物
		return "700102,700122"
	end
	
	if itemSort == 22 then --风雷翅
		--洞1只能镶嵌天怒宝石;
		--洞2只能镶嵌地灵宝石;
		if hole == 0 then
			return "700102"
		end
		return "700122"
	end
	
	--主物品是头盔～鞋;
	return "700102,700122"
end

-- itemtype 主物品
-- hole 要镶嵌的洞 0:第一洞 1:第二洞
--itemSort 物品分类(根据itemtype得来的)
--isGift 主物品是否是赠品，0为不是，其它值为是
-- 获取开洞物品对应的导购ID
local function GetOpenHoldGuidId(itemtype, hole,itemSort, isGift)
	if 12 == itemSort or 22 == itemSort then  --宝物，风雷翅
		if 0 == hole then

			--开洞1 只能用龙珠,数量12;
			return "1088000"
		end
	end
	
	--装备(非史诗)开洞材料判断,盾走装备分支,箭不可开洞;
	if 4 == itemSort or 5 == itemSort then --武器
		--武器装备开洞,只能用龙珠;
		--洞1需要数量1;
		--洞2需要数量5;
		return "1088000"
	end
	
	if itemSort >= 1 then
		--其余装备开洞,龙珠|金刚坚钻|七星钢钻;
		if 0 == hole then

			--开洞1 只能用龙珠,数量12;
			return "1088000"
		elseif 1 == hole then

			-- 开洞2 只能用金刚坚钻|七星钢钻;
			-- 选择1 七星宝钻,不与其它材料混合开洞,数量7;
			-- 选择2 金刚坚钻,数量1
			return "1088000,1200005"
		end
	end
end

-- itemtype 主物品
-- hole 要镶嵌的洞 0:第一洞 1:第二洞
--itemSort 物品分类(根据itemtype得来的)
--isGift 主物品是否是赠品，0为不是，其它值为是
--nMode 操作模式 1开洞操作，2和3表示 镶嵌操作;
--数值不是正式的，有问题自己改
-- 获取宝石操作对应的导购ID
local function GetEmbedOperatorId(itemtype,hole,itemSort,isGift,nMode)
	print("GetEmbedOperatorId",itemtype,nMode)
	if nMode == 1 then
		return GetOpenHoldGuidId(itemtype, hole,itemSort,isGift)
	end
	return GetEmbedGuidId(itemtype, hole,itemSort,isGift)
end

-- 清理变量释放内存
local function Unload()
	ItemTypeID = nil
	CustomGuideInfo = nil
	HadGuideInfo = nil
	GetGuideNpcAmount = nil
	GetGuideNpcInfo = nil
	GetGuideInfo = nil
	GetMoneyTypeInfo = nil
	GetGuideShopAmount = nil
	GetGuideShopInfo = nil
	GetGuideGuiAmount = nil
	GetGuideGuiInfo = nil
end

local Common_Guide = {
	HadGuideInfo = HadGuideInfo,
	GetGuideNpcAmount = GetGuideNpcAmount,
	GetGuideNpcInfo = GetGuideNpcInfo,
	GetGuideInfo = GetGuideInfo,
	GetMoneyTypeInfo = GetMoneyTypeInfo,
	GetDlgIdToItemId = GetDlgIdToItemId,
	GetGuideShopAmount = GetGuideShopAmount,
	GetGuideShopInfo = GetGuideShopInfo,
	GetGuideGuiAmount = GetGuideGuiAmount,
	GetGuideGuiInfo = GetGuideGuiInfo,
	GetEmbedOperatorId = GetEmbedOperatorId,
	IsCanShwGuideBtn = IsCanShwGuideBtn,
	Unload = Unload,
}

-- C++程序使用的global函数名
Common_Guide_HadGuideInfo = Common_Guide.HadGuideInfo
Common_Guide_GetGuideNpcAmount = Common_Guide.GetGuideNpcAmount
Common_Guide_GetGuideNpcInfo = Common_Guide.GetGuideNpcInfo
Common_Guide_GetGuideInfo = Common_Guide.GetGuideInfo
Common_Guide_GetMoneyTypeInfo = Common_Guide.GetMoneyTypeInfo
Common_Guide_GetGuideShopAmount = Common_Guide.GetGuideShopAmount
Common_Guide_GetGuideShopInfo = Common_Guide.GetGuideShopInfo
Common_Guide_GetGuideGuiAmount = Common_Guide.GetGuideGuiAmount
Common_Guide_GetGuideGuiInfo = Common_Guide.GetGuideGuiInfo
Common_Guide_GetDlgIdToItemId = Common_Guide.GetDlgIdToItemId
Common_Guide_GetEmbedOperatorId = Common_Guide.GetEmbedOperatorId
Common_Guide_IsCanShwGuideBtn = Common_Guide.IsCanShwGuideBtn

-- require返回值
return Common_Guide
