-- ֧Ϊ1 ֧Ϊ0
local SupportVersion = {
    [""] = 1,
    ["English"] = 0,
    ["Spanish"] = 0,
    ["Arabic"] = 0,
}

local function GetSupportVersion(index, default)
    local res = SupportVersion[index]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

local DlgLoadingAni = {
    BgAni = "loading",
    CloudEffect = "loading_cloud",
}

local function GetAniInfo(index, default)
    local res = DlgLoadingAni[index]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

local AniOffset = {
-- ʾͼƬ
    TipOffset = { x = 400, y = 150, },
-- 
    ProgressOffset = { x = 0, y = 300, },
-- ʾı
    TextOffset = { x = -360, y = 350, },
-- ƹЧλƫ
    CloudEffect = { x = 512, y = 326, },
}

local function GetOffset(index, xory, default)
    local t = AniOffset[index]
    
    if (t == nil) then
        return default
    end
    
    local res = t[xory]
    
    if (res == nil) then
        return default
    end
    
    return res
end

-- λñǹЧ
local LocationEffect = {
-- 1:İ汾
    [""] = "loading_fubiao",
}

local function GetLocationEffect(index, default)
    local res = LocationEffect[index]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

-- λñƫ
local LocationEffectOffset = {
-- 1:İ汾
    [""] = { x = 780, y = 300, },
}

local function GetLocationEffectOffset(index, xory, default)
    local t = LocationEffectOffset[index]
    
    if (t == nil) then
        return default
    end
    
    local res = t[xory]
    
    if (res == nil) then
        return default
    end
    
    return res
end

local LoadingInfo = {
	speed = 2,
	fontsize = 18,
}

local function GetLoadingInfo(index, default)
	local res = LoadingInfo[index]
	if (res == nil) then
		return default
	end

	return res
end

-- ͷڴ
local function Unload()
    GetSupportVersion = nil
    GetAniInfo = nil
    GetLocationEffect = nil
    GetOffset = nil
    GetLocationEffectOffset = nil
    GetLoadingInfo = nil
end

-- ͨrequireLuaűʹ
local DlgLoadingCfg = {
    GetSupportVersion = GetSupportVersion,
    GetAniInfo = GetAniInfo,
    GetLocationEffect = GetLocationEffect,
    GetOffset = GetOffset,
    GetLocationEffectOffset = GetLocationEffectOffset,
    GetLoadingInfo=GetLoadingInfo,
    Unload = Unload,
}

-- C++ʹõglobal
DlgLoadingCfg_GetLoadingInfo = DlgLoadingCfg.GetLoadingInfo
DlgLoadingCfg_GetSupportVersion = DlgLoadingCfg.GetSupportVersion
DlgLoadingCfg_GetLocationEffectOffset = DlgLoadingCfg.GetLocationEffectOffset
DlgLoadingCfg_GetLocationEffect = DlgLoadingCfg.GetLocationEffect
DlgLoadingCfg_GetAniInfo = DlgLoadingCfg.GetAniInfo
DlgLoadingCfg_GetOffset = DlgLoadingCfg.GetOffset
DlgLoadingCfg_Unload = DlgLoadingCfg.Unload

-- requireֵ
return DlgLoadingCfg