local Flag = {
    [0]="baoshi_bs1pic",
	[1]="tongyong_tstbpic",
	[2]="baoshi_bs3pic",
}

local scrollRect = {
	[0] = {
		x=275,
		y=70,
		w=540,
		h=600,
		colum=2,
	},
	[1] = {
		x=275,
		y=70,
		w=540,
		h=600,
		colum=2,
	},
	[2] = {
		x=255,
		y=70,
		w=834,
		h=600,
		colum=3,
	},
}

local noneTipsPos = {
	[0] = {
		x=275,
		y=70,
	},
	[1] = {
		x=545,
		y=70,
	},
	[2] = {
		x=255,
		y=70,
	},
}


local RightPanel = {
	count = 2,
	[0] = {
		x=0,
		y=0,
		w=293,
		h=610,
		tpy=0, --0ͼƬ 1
		ani="shangcheng_wpxqdb",
	},
	[1] = {
		x=15,
		y=320,
		w=80,
		h=30,
		tpy=0, --0ͼƬ 1
		text="",
		fontcolor=0xfffde2c4,
	},
}

local StoneImg = {
	["780022"] = "shangcheng_hb1pic",
	["780000"] = "shangcheng_hb2pic",
	["780001"] = "shangcheng_hb3pic",
	["780023"] = "shangcheng_hb4pic",
	["780057"] = "shangcheng_hb5pic",
}

--ֻһεƷ
local LimitBuy = {
	[2] = {
		[723700]=1,
	},
	[5] = {
		[723700]=1,
	},
}



local function GetShopFlag(key)
    local keyValue = Flag[key]
    
    if (keyValue) then
        return keyValue
    end
    
    return 0
end

local function GetScrollValue(key1, key2)
	if scrollRect[key1] == nil then
		return 0
	end
	return scrollRect[key1][key2]
end

local function GetNoneTipsPos(key1, key2)
	if noneTipsPos[key1] == nil then
		return 0
	end
	return noneTipsPos[key1][key2]
end

local function GetMoneyIcons(key1, key2)
	if key2 == 5 or key2 == 3 then
		return "TSGiveStoneIco"
	end
	return "tongyong_tstbpic"
end

local function GetStoneItem(key)
	return StoneImg[key]
end

local function GetRightPanel(key1 , key2 , key3)
	if key1 == "count" then
		return RightPanel[key1]
	end
	return RightPanel[key2][key3]
end

local function GetLimitBuy(shopTpy, itemId)
	if LimitBuy[shopTpy] ~= nil and LimitBuy[shopTpy][itemId] ~= nil then
		return LimitBuy[shopTpy][itemId]
	end
	return 0
end

local function GetMaxBuyNum()
	return 999
end

local function Unload()
    
end

local EmoneyShop = {
    GetShopFlag = GetShopFlag,
	GetScrollValue = GetScrollValue,
	GetStoneItem = GetStoneItem,
	GetRightPanel = GetRightPanel,
	GetNoneTipsPos = GetNoneTipsPos,
	GetMoneyIcons = GetMoneyIcons,
	GetLimitBuy = GetLimitBuy,
	GetMaxBuyNum = GetMaxBuyNum,
    Unload = Unload,
}

-- global
EmoneyShop_GetShopFlag = EmoneyShop.GetShopFlag
EmoneyShop_GetScrollValue = EmoneyShop.GetScrollValue
EmoneyShop_GetStoneItem = EmoneyShop.GetStoneItem
EmoneyShop_GetRightPanel = EmoneyShop.GetRightPanel
EmoneyShop_GetNoneTipsPos = EmoneyShop.GetNoneTipsPos
EmoneyShop_GetMoneyIcons = EmoneyShop.GetMoneyIcons
EmoneyShop_GetLimitBuy = EmoneyShop.GetLimitBuy
EmoneyShop_GetMaxBuyNum = EmoneyShop.GetMaxBuyNum
EmoneyShop_Unload = EmoneyShop.Unload


return EmoneyShop