-- ں
local XuanBaoFuseInfo = {
    PointEffect = "artifacts_jt",
-- step
    [1] = { BindIDD = 989, BubbleOffsetX = 420, BubbleOffsetY = -20, BgAni = "Artifacts_tipsbg1",
            TextOffsetX = 10, TextOffsetY = 15, TextWidth = 190,
            BubbleEffect = "artifacts_bg1", EffectX = 35, EffectY = 35,
            FontSize = 14, Text = "Please select 2 Relics to fuse. It costs some Silver per fusion." },
    [2] = { BindIDD = 989, BubbleOffsetX = 90, BubbleOffsetY = 0, BgAni = "Artifacts_tipsbg1",
        TextOffsetX = 8, TextOffsetY = 15, TextWidth = 200, 
        BubbleEffect = "artifacts_bg1", EffectX = 35, EffectY = 35,
        FontSize = 14, Text = "Click and choose a Relic you want to retain. The other two Relics will disappear." },
}

local function GetXuanBaoFuseInfo(param1, param2, param3)
    if (type(param1) == "number") then
        if (XuanBaoFuseInfo[param1] ~= nil and XuanBaoFuseInfo[param1][param2] ~= nil) then
            return XuanBaoFuseInfo[param1][param2]
        else
            return param3
        end
    else
        if (XuanBaoFuseInfo[param1] ~= nil) then
            return XuanBaoFuseInfo[param1]
        else
            return param2
        end
    end
end

-- 
local GouYuUpgradeInfo = {
-- step
    [1] = { BindIDD = 1211, BubbleOffsetX = -130, BubbleOffsetY = 20, BgAni = "Artifacts_tipsbg1",
            TextOffsetX = 10, TextOffsetY = 15, TextWidth = 190,
            BubbleEffect = "artifacts_bg1", EffectX = 35, EffectY = 35,
            FontSize = 14, Text = "Please select the sigil to upgrade" },
    [2] = { BindIDD = 2802, BubbleOffsetX = 215, BubbleOffsetY = 244, BgAni = "Artifacts_tipsbg1",
        TextOffsetX = 8, TextOffsetY = 15, TextWidth = 200, 
        BubbleEffect = "artifacts_bg1", EffectX = 35, EffectY = 35,
        FontSize = 14, Text = "Please select the percentage to add" },
    [3] = { BindIDD = 2802, BubbleOffsetX = 0, BubbleOffsetY = 317, BgAni = "Artifacts_tipsbg1",
        TextOffsetX = 8, TextOffsetY = 15, TextWidth = 200, 
        BubbleEffect = "artifacts_bg1", EffectX = 35, EffectY = 35,
        FontSize = 14, Text = "Consume Arcane Essences to upgrade the sigil" },
}

local function GetGouYuUpgradeInfo(step, key, default)
	local tStep = GouYuUpgradeInfo[step]
	if not tStep then
		return default
	end

	local ret = tStep[key]
	if not ret then
		return default
	end

	return ret
end

local function Unload()
    XuanBaoFuseInfo = nil
	GouYuUpgradeInfo = nil
end

local GuideBubble = {
    GetXuanBaoFuseInfo = GetXuanBaoFuseInfo,
	GetGouYuUpgradeInfo = GetGouYuUpgradeInfo,
    Unload = Unload,
}


-- global
GuideBubble_GetGouYuUpgradeInfo = GuideBubble.GetGouYuUpgradeInfo
GuideBubble_GetXuanBaoFuseInfo = GuideBubble.GetXuanBaoFuseInfo
GuideBubble_Unload = GuideBubble.Unload

return GuideBubble