local T_Info = {
    ["Magic"] = {
        DefAtkDis = 6,
        AtkAngle = 120,
        -- !!!!!!!!!!!!!!!!!
        -- Ŀл
        MaxChgNum=5,
	},
	["Nobility"] = {
		NeedLev = 70,
	},
	["Rank"] = {
		[1] = 0xfff2d892,
		[2] = 0xffc5cddd,
		[3] = 0xffe2b29b,
	}
	
}

local function GetInfo(title, key, default)
    local tInfo = T_Info[title]
    if (tInfo == nil) then
        return default
    end

    local ret = tInfo[key]
    if (ret == nil) then
        return default
    end

    return ret
end

-- ֱӦ
local MissionIni = {
-- servertype
-- ͨ
    [0] = "ini/Questinfo.ini",
-- 
    [16] = "ini/QuestinfoPassionServer.ini",
}

local function GetMissionIni(index, default)
    local res = MissionIni[index]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

local function IsNeedCheckLook(look, default)
	if (look == 5 or look == 6 or look == 7 or look == 8) then
		return true
	end

	return false
end

-- ̵Ϣ
local T_RebateInfo = {
    -- ̵Ʒ
    costType=3322775,
    -- ̵npc
    npcID=24702,
    -- ˢҪĳʼֵ
    cost_value=1,
    -- ÿˢµۼֵ
    cost_inc=1,
    -- ˢ
    cost_limit=30,
    -- ˢӳ
    refreshDelay = 2,
}

-- ȡϢ
local function GetRebateInfo(key, default)
	local ret = T_RebateInfo[key]

	if (ret ~= nil) then
		return ret
	end
	
	return default
end

-- ȡˢҪķ
local function GetRebateRefreshCost(times)
	local cost = T_RebateInfo.cost_value + times * T_RebateInfo.cost_inc

	if (cost > T_RebateInfo.cost_limit) then
		cost = T_RebateInfo.cost_limit
	end

	return cost
end


-- ƷЧϢ
local MpcGoodsInfo = {
	-- Чƫ
	ShadinessOffsetX = 45,
	ShadinessOffsetY = 40,
	-- ϵ
	ShadinessScaleX = 0,
	ShadinessScaleY = 0,
}

-- ȡ ƷЧϢ
local function GetMpcGoodsInfo(key)
	local ret = MpcGoodsInfo[key]
	
	if (ret ~= nil) then
		return ret
	end
	
	return 0
end

local function GetMagicAtkRange(magicType, lev, range, distance, default)
	if (distance > 1) then
		distance = distance - 1
	end

	return distance
end

local function GetMagicTargetEffect(magicType)
	return "TargetEffect"
end

local function CanPK(pkMode, id, showLife)
	-- 0 = PKMODE_FREE			pk
	-- 1 = PKMODE_MONSTERONLY	ƽģʽ
	-- 2 = PKMODE_TMEXCLUDE		սģʽ
	-- 3 = PKMODE_ARRESTMENT	ɱģʽ
	-- 4 = PKMODE_REVENGE		ģʽ
	-- 5 = PKMODE_SYNDICATE		սģʽ
	-- 6 = PKMODE_GANG_HOOD		ģʽ
	-- 7 = PKMODE_CROSS_SERVER	ģʽ
	-- 8 = PKMODE_INVADE		Ч
	-- 9 = PKMODE_PLUNDER		Ӷģʽ
	-- 10 = PKMODE_OS_SAFE		ƽģʽ
	-- 11 = PKMODE_LEAGUE		ģʽ
	if (id <= 899999 and showLife == false) then
		return false
	end
	-- Դ
	--if (1 == pkMode) then
	--	if (id >= 400001 and id <= 599999) then
	--		return true
	--	else
	--		return false
	--	end
	--end

	return true
end

-- ģýӿ
-- ģͷ
local _PLAYER_ID_MONSTER	= 1	-- 
local _PLAYER_ID_PET		= 2	-- NPC
local _PLAYER_ID_SYSNPC		= 3
local _PLAYER_ID_DYNNPC		= 4
local _PLAYER_ID_CALLPET	= 5
local _PLAYER_ID_PLAYER		= 6	-- 

-- Ӧģ
local RoleScaleInfo = {
	-- ID
	[0] = {		
		[_PLAYER_ID_MONSTER]	= 0.75,
		[_PLAYER_ID_PET] 		= 0.75,
		[_PLAYER_ID_SYSNPC] 	= 0.75,
		[_PLAYER_ID_DYNNPC] 	= 0.75,
		[_PLAYER_ID_CALLPET] 	= 0.75,
		[_PLAYER_ID_PLAYER] 	= 0.75,
	},
	[1] = {		
		[_PLAYER_ID_MONSTER]	= 0.75,
		[_PLAYER_ID_PET] 		= 0.75,
		[_PLAYER_ID_SYSNPC] 	= 0.75,
		[_PLAYER_ID_DYNNPC] 	= 0.75,
		[_PLAYER_ID_CALLPET] 	= 0.75,
		[_PLAYER_ID_PLAYER] 	= 0.75,
	},
	[32] = {		
		[_PLAYER_ID_MONSTER]	= 0.75,
		[_PLAYER_ID_PET] 		= 0.75,
		[_PLAYER_ID_SYSNPC] 	= 0.75,
		[_PLAYER_ID_DYNNPC] 	= 0.75,
		[_PLAYER_ID_CALLPET] 	= 0.75,
		[_PLAYER_ID_PLAYER] 	= 0.75,
	},
	[40] = {		
		[_PLAYER_ID_MONSTER]	= 0.75,
		[_PLAYER_ID_PET] 		= 0.75,
		[_PLAYER_ID_SYSNPC] 	= 0.75,
		[_PLAYER_ID_DYNNPC] 	= 0.75,
		[_PLAYER_ID_CALLPET] 	= 0.75,
		[_PLAYER_ID_PLAYER] 	= 0.75,
	},

}
-- ģýӿ
local function GetModelRate(server_type, id_type, default)
	local tInfo = RoleScaleInfo[server_type]
	
	if (tInfo == nil) then
		return default
	end
	
	local ret = tInfo[id_type]
	
	if (ret == nil) then
		return default
	end
	
	return ret / 0.78
end

-- ģýӿ
local function GetRoleScale(server_type, id_type, default)
	local tInfo = RoleScaleInfo[server_type]
	
	if (tInfo == nil) then
		return default
	end
	
	local ret = tInfo[id_type]
	
	if (ret == nil) then
		return default
	end
	
	return ret	
end

-- ҡpkťԴЧ
local YaoGan_PKBtn = {
	[0] = "xpkfree",   -- 
	[1] = "xpkpeace",  -- ƽ
	[2] = "xpkteam",   -- ս
	[3] = "xpkcapture",  -- ɱ
	[5] = "xpksyndicate",  -- 
	[6] = "xpkjianghu",  -- 
	--effectName = "jm_pkztgx",  -- ضģʽѡйЧ
	effectName = "", 
    msg = { -- лģʽʱʾı
    [0] = 'лģʽɶҽд衣',
    [1] = 'лƽģʽֻԶԹй',
    [2] = 'лսģʽԹҡ',
    [3] = 'лɱģʽֻʾPKֵҡ',
	[5] = "лģʽԹɵҡ",
	[6] = "лģʽԹģʽµҡ",
    },
}

local function GetYaoGanPKBtn(model, key)
    if key == 'msg' then
        local res = YaoGan_PKBtn.msg[model]
        return res
    end
    return YaoGan_PKBtn[model]
end

local function GetYaoGanPKBtnEffect(model)
	if (0 == model or 3 == model or 5 == model) then
		return YaoGan_PKBtn.effectName
	end

	return nil
end

local function GetRotateAngle(idd, angle, beginX, curX)
    return math.ceil((angle + ((curX - beginX) / 80 * 180)) % 360)
end

-- 
-- δʣʱʾ(s)С
local T_Nonage_Offline = {
	60,
	120,
	180,
	300,
	900,
	1800,
}

local function GetNonageOffLineTip(onlineTime, allowedTime)
	onlineTime = allowedTime - onlineTime
	for k, v in ipairs(T_Nonage_Offline) do
		if (onlineTime <= v) then
			return math.floor(v / 60)
		end
	end

	return 0
end

local T_RoleDummy = {
    pitch=0,
    -- ʼˮƽת
    yaw=0,
    roll=0,

    -- Ӱƹλ
    lx=300,
    ly=-300,
    lz=-1000,
    -- Ӱ͸
    lAlpha=0,
	--  Ծʱƺƫ
	TitleJumpOffsetY=75,
}

--ѡǽı
local function GetCreateRoleBgMusic()
	return "sound/cjbg.mp3"
end

local function GetRoleDummyInfo(key, default)
    local ret = T_RoleDummy[key]
    if ret == nil then
        return default
    end

    return ret
end

-- ͷڴ
local function Unload()
   T_Info = nil
   T_RebateInfo = nil
   MissionIni = nil
   T_Nonage_Offline = nil
   T_RoleDummy = nil
end

-- ͨrequireLuaűʹ
local Info = {
	CanPK = CanPK,
	GetInfo = GetInfo,
	GetMagicTargetEffect = GetMagicTargetEffect,
	GetMagicAtkRange = GetMagicAtkRange,
 	GetRebateInfo = GetRebateInfo,
	GetRebateRefreshCost = GetRebateRefreshCost,
    GetMissionIni = GetMissionIni,
	IsNeedCheckLook = IsNeedCheckLook,
	GetMpcGoodsInfo = GetMpcGoodsInfo,
	GetNonageOffLineTip = GetNonageOffLineTip,
	GetRoleScale = GetRoleScale,
	GetModelRate = GetModelRate,
	GetYaoGanPKBtn = GetYaoGanPKBtn,
	GetYaoGanPKBtnEffect = GetYaoGanPKBtnEffect,
	GetRotateAngle = GetRotateAngle,
	GetRoleDummyInfo = GetRoleDummyInfo,
	GetCreateRoleBgMusic = GetCreateRoleBgMusic,
	
    Unload = Unload,	
	
}

-- C++ʹõglobal
Info_GetYaoGanPKBtn = Info.GetYaoGanPKBtn
Info_GetYaoGanPKBtnEffect = Info.GetYaoGanPKBtnEffect
Info_GetInfo = Info.GetInfo
Info_CanPK = Info.CanPK
Info_GetMagicTargetEffect = Info.GetMagicTargetEffect
Info_GetMagicAtkRange = Info.GetMagicAtkRange
Info_GetRebateInfo = Info.GetRebateInfo
Info_GetRebateRefreshCost = Info.GetRebateRefreshCost
Info_GetMissionIni = Info.GetMissionIni
Info_GetMpcGoodsInfo = Info.GetMpcGoodsInfo
Info_IsNeedCheckLook = Info.IsNeedCheckLook
Info_GetNonageOffLineTip = Info.GetNonageOffLineTip
Info_GetRoleScale = Info.GetRoleScale
Info_GetModelRate = Info.GetModelRate
Info_GetRotateAngle = Info.GetRotateAngle
Info_GetRoleDummyInfo = Info.GetRoleDummyInfo
Info_GetCreateRoleBgMusic = Info.GetCreateRoleBgMusic

Info_Unload = Info.Unload

-- requireֵ
return Info

