﻿--尾兽升级材料
local ViceItem= {
-- 升级材料TypeID
[0] = 3009100,
[1] = 3009101,
[2] = 3009102,
[3] = 3009103,
[4] = 3009104,
}

-- 升级材料TypeID对应的经验值
local ViceItemExp = {
[3009100] = 100,
[3009101] = 300,
[3009102] = 1000,
[3009103] = 3000,
[3009104] = 10000,
}

local UpgradeShow= {
--Effect升级表现光效; LevTime升级表现时间; ExpTime进度表现时间
[0] = {Effect = "Jabali_star1", LevTime = 50, ExpTime = 5,},
[1] = {Effect = "Jabali_star2-3", LevTime = 20, ExpTime = 2,},
[2] = {Effect = "Jabali_star4-6", LevTime = 10, ExpTime = 1,},
[3] = {Effect = "Jabali_star7", LevTime = 1, ExpTime = 1,},

--发送升级所得到经验，系统消息定时器(毫秒)
["TimeTips"] = 3000,

--鼠标不放处理
["TimeUse"] = 500, 	--消耗物品定时器(毫秒)
["TimeUseCount"] = 3,	--消耗n次后，开始消耗多个副物品
["TimeUseNum"] = 5,		--每次消耗副物品数
}

-- 尾兽幻化外观
local JabaliLookFace = {
["EffectIntervalTime"] = 10000,  -- 追命触发光效显示间隔定时器(ms)
["LookX"] = 180,
["LookY"] = 345,
["LookScale"] = 105,
["Amount"] = 10,
["Default"] = {
	BattleOffX=-9,
	BattleOffY=-7,
	RuneBgOffX=-90,
	RuneBgOffY=-80,
},
[0] = {
	-- 非尾兽外套
	BattleAni = "Jabali_1tailBattleBoxPic",
	BattleOffX=0,
	BattleOffY=0,
	RuneBtnAni = "Fuwens_ZbfuwenPic",
	RuneBgAni = "",
},
[1] = { 
        Look = 46450,
	Name = "STR_JABALI_COAT_NAME_1",
	PicAni = "Jabali_1tailPic",					
	ModelAni = "Jabali_1tailBg",				
	BattleAni = "Jabali_1tailBattleBoxPic",
	RuneBtnAni = "Jabali_1tailShinmonPic",
	RuneBgAni = "Jabali_1tailShinmonbg",
	ActiveEffect="Jabali_show",
	PlayerEffect = "_p_31_jabali_vb1",
},
[2] = {
	Name = "STR_JABALI_COAT_NAME_2",
	PicAni = "Jabali_2tailPic",
	ModelAni = "Jabali_2tailBg",
	BattleAni = "Jabali_2tailBattleBoxPic",
	RuneBtnAni = "Jabali_2tailShinmonPic",
	RuneBgAni = "Jabali_2tailShinmonbg",
	ActiveEffect="Jabali_show2",
	PlayerEffect = "_p_31_jabali_vb2",
},
[3] = {
	Name = "STR_JABALI_COAT_NAME_3",
	PicAni = "Jabali_3tailPic",
	ModelAni = "Jabali_3tailBg",
	BattleAni = "Jabali_3tailBattleBoxPic",
	RuneBtnAni = "Jabali_3tailShinmonPic",
	RuneBgAni = "Jabali_3tailShinmonbg",
	ActiveEffect="Jabali_show3",
	PlayerEffect = "_p_31_jabali_vb3",
},
[4] = {
	Name = "STR_JABALI_COAT_NAME_4",
	PicAni = "Jabali_4tailPic",
	ModelAni = "Jabali_4tailBg",
	BattleAni = "Jabali_4tailBattleBoxPic",
	RuneBtnAni = "Jabali_4tailShinmonPic",
	RuneBgAni = "Jabali_4tailShinmonbg",
	ActiveEffect="Jabali_show4",
	PlayerEffect = "_p_31_jabali_vb4",
},
[5] = {
	Name = "STR_JABALI_COAT_NAME_5",
	PicAni = "Jabali_5tailPic",
	ModelAni = "Jabali_5tailBg",
	BattleAni = "Jabali_5tailBattleBoxnPic",
	RuneBtnAni = "Jabali_5tailShinmonPic",
	RuneBgAni = "Jabali_5tailShinmonbg",
	ActiveEffect="Jabali_show5",
	PlayerEffect = "_p_31_jabali_vb5",
},
[6] = {
	Name = "STR_JABALI_COAT_NAME_6",
	PicAni = "Jabali_6tailPic",
	ModelAni = "Jabali_6tailBg",
	BattleAni = "Jabali_6tailBattleBoxPic",
	RuneBtnAni = "Jabali_6tailShinmonPic",
	RuneBgAni = "Jabali_6tailShinmonbg",
	ActiveEffect="Jabali_show6",
	PlayerEffect = "_p_31_jabali_vb6",
},
[7] = {
	Name = "STR_JABALI_COAT_NAME_7",
	PicAni = "Jabali_7tailPic",
	ModelAni = "Jabali_7tailBg",
	BattleAni = "Jabali_7tailBattleBoxPic",
	RuneBtnAni = "Jabali_7tailShinmonPic",
	RuneBgAni = "Jabali_7tailShinmonbg",
	ActiveEffect="Jabali_show7",
	PlayerEffect = "_p_31_jabali_vb7",
},
[8] = {
	Name = "STR_JABALI_COAT_NAME_8",
	PicAni = "Jabali_8tailPic",
	ModelAni = "Jabali_8tailBg",
	BattleAni = "Jabali_8tailBattleBoxPic",
	RuneBtnAni = "Jabali_8tailShinmonPic",
	RuneBgAni = "Jabali_8tailShinmonbg",
	ActiveEffect="Jabali_show8",
	PlayerEffect = "_p_31_jabali_vb8",
},
[9] = {
	Name = "STR_JABALI_COAT_NAME_9",
	PicAni = "Jabali_9tailPic",
	ModelAni = "Jabali_9tailBg",
	BattleAni = "Jabali_9tailBattleBoxPic",
	RuneBtnAni = "Jabali_9tailShinmonPic",
	RuneBgAni = "Jabali_9tailShinmonbg",
	ActiveEffect="Jabali_show9",
	PlayerEffect = "_p_31_jabali_vb9",
},
[10] = {
	Name = "STR_JABALI_COAT_NAME_CLOSE",
	PicAni = "Jabali_NotOpenPic",
	ModelAni = "",
	BattleAni = "",
	RuneBtnAni = "",
	RuneBgAni = "",
},
}

-- 尾兽属性颜色配置
local JabaliAttr = {
	["ActiveColor"] = 0xFF00FF00,
	["UnActiveColor"] = 0xFFFF0000,
        ["TipsColor"] = 0xffffffff,
	["PreviewBtnAni"] = "Jabali_PreviewPic",
	["UseBtnAni"] = "Jabali_SIllusionBtn",
}

-- 尾兽伤害显示位置
local JabaliHurtShow = {
["HurtShowPosX"] = 0,
["HurtShowPosY"] = 30,
["HurtShowSize"] = 15,
}

local function GetJabaliLookFace(index, key, default)
	local t = JabaliLookFace[index][key]
	if (t ~= nil) then
		return t
	else
		local t1 = JabaliLookFace["Default"][key]
		if (t1 ~= nil) then
			return t1
		end
	end

	return default
end

local function GetJabaliLookFaceMount(id)
	return JabaliLookFace[id]
end

local function GetJabaliAttrData(id)
	return JabaliAttr[id]
end

local function GetViceItem(index)
	return ViceItem[index]
end

local function GetViceItemExp(idItemType)
	return ViceItemExp[idItemType]
end

local function GetUpgradeShow(lev, Axis)
    if (lev <= 1) then
        return UpgradeShow[0][Axis]
	elseif (lev <= 3) then
		return UpgradeShow[1][Axis]
	elseif (lev <= 6) then
		return UpgradeShow[2][Axis]
    else
        return UpgradeShow[3][Axis]
    end
end

local function GetUpgradeShowTime(Axis)
	return UpgradeShow[Axis]
end

local function GetJabaliHurtShow(Axis)
	return JabaliHurtShow[Axis]
end


-- 清理变量释放内存
local function Unload()
	ViceItem = nil
	JabaliLookFace = nil
	UpgradeShow = nil
	JabaliHurtShow = nil
end

local Jabali = {
	GetViceItem = GetViceItem,
	GetViceItemExp = GetViceItemExp,
	GetUpgradeShow = GetUpgradeShow,
	GetUpgradeShowTime = GetUpgradeShowTime,
	GetJabaliLookFace = GetJabaliLookFace,
	GetJabaliLookFaceMount = GetJabaliLookFaceMount,
	GetJabaliAttrData = GetJabaliAttrData,
	GetJabaliHurtShow = GetJabaliHurtShow,
	Unload = Unload,
}

-- C++程序使用的global函数名
Jabali_GetViceItem = Jabali.GetViceItem
Jabali_GetViceItemExp = Jabali.GetViceItemExp
Jabali_GetUpgradeShow = Jabali.GetUpgradeShow
Jabali_GetUpgradeShowTime = Jabali.GetUpgradeShowTime
Jabali_GetJabaliLookFace = Jabali.GetJabaliLookFace
Jabali_GetJabaliLookFaceMount = Jabali.GetJabaliLookFaceMount
Jabali_GetJabaliAttrData = Jabali.GetJabaliAttrData
Jabali_GetJabaliHurtShow = Jabali.GetJabaliHurtShow

-- require返回值
return Jabali
