-- 
-- 	Axis	ᣬΪ"x""y"
-- 	Index	ʾͼţ0ʼ
-- ֵ
--	ɫĻƫֵλ
local function GetStatusIconOffset(Axis, Index)
	local l = 70
	local t = 70
	local icon_w = 30
	local icon_h = 30
	if (Axis == "x") then return icon_w * Index - l; end
	if (Axis == "y") then return - icon_h - t; end
	return 0
end

local function GetWingOffsetY(i)
	if (i == 5) then
		return 25
	elseif (i == 6) then
		return 25
	elseif (i == 7 or i == 8) then
		return 25
	end
end

local function GetWingOffsetZ(i)
	if (i == 5) then
		return -32
	elseif (i == 6) then
		return -32
	elseif (i == 7 or i == 8) then
		return -32
	end
end

local NameOffset = {
[110] = { y = 25 },
[115] = { y = 25 },
}

local SynflagInfo = {
	--ڵһѪƫ
	["OffsetX"] = -70,
	["OffsetY"] = -170,
	--С
	["FontSize"] = 20,
	--
	["FontWidth"] = 10,
	--Ѫɫ
	["MaxLifeColor"] = 0xff00ff00,
	--/ָɫ
	["SignColor"] = 0xffFAF706,
	["ColorNum"] = 3,
	--Percent1ٷֵѪ
	[0] = {
	["Percent"] = 40,
	["NumColor"] = 0xFF00FF00,
	},  
	--Percent2ٷֵѪ
	[1] = {
	["Percent"] = 20,
	["NumColor"] = 0xffffff00,
	},  
	[2] = {
	["Percent"] = -1,
	["NumColor"] = 0xffff0000,
	},  
}

local SynflagColorInfo = {
	--Ѫɫ5һλ
	--BarLimit0ΪѪ80000000ʱѪʾBarColor0ɫ
	["BarColorNum"] = 6,
	[0] = {
	["BarLimit"] = 100000001,
	["BarColor"] = 0xFF00FF00,
	},
	[1] = {
	["BarLimit"] = 80000001,
	["BarColor"] = 0xFFFBB803,
	},
	[2] = {
	["BarLimit"] = 60000001,
	["BarColor"] = 0xFF95FC03,
	},
	[3] = {
	["BarLimit"] = 40000001,
	["BarColor"] = 0xFF03F9FC,
	},
	[4] = {
	["BarLimit"] = 20000001,
	["BarColor"] = 0xFFFFDE00,
	},
	[5] = {
	["BarLimit"] = 0,
	["BarColor"] = 0xFFFF0000,
	},
}

local function GetTraceMosterOffset(i)
    if (i == "x") then
        return 20
    elseif (i == "y") then
        return -10
    end
end

-- 
-- 	NpcType	npcͣӦݿnpc`type`ֶ
-- 	Axis	ᣬΪ"x""y"
-- ֵ
--	ɫƫֵy>0
local function GetNameOffset(NpcType, Axis)
	local npc = NameOffset[NpcType]
	local offset = nil

	if (npc ~= nil) then
		offset = npc[Axis]
	end
	
	if (offset ~= nil) then
		return offset
	end
	
	return 0
end

local T_Immortal_Armor = {
[1] = 189915,
[2] = 189915,
[3] = 189915,
[4] = 189925,
[5] = 189925,
[6] = 189925,
[7] = 189935,
[8] = 189935,
[9] = 189935,
[10] = 189935,
}

-- ȡģʽȼӦ·
local function GetImmortalModeArmor(immortalMode, armor)
	local ret = T_Immortal_Armor[immortalMode]

	if not ret then
		return 189885
	end
	return ret
end

-- ͷڴ
local function Unload()
	T_Immortal_Armor = nil
	Player_GetStatusIconOffset = nil
        Player_GetNameOffset = nil
        Player_GetBarColorInfo = nil
	Player_GetSynflagInfo =  nil
	Player_GetTextColorInfo = nil
	Player_Unload = nil
	Player_unload = nil
end

local function GetSynflagInfo(key)
	local value = SynflagInfo[key]

	if (value) then
		return value
	end
	
	return 0
end

local function GetBarColorInfo(key)
	for i = 0,SynflagColorInfo["BarColorNum"],1 do
		if (key > SynflagColorInfo[i]["BarLimit"]) then
			return SynflagColorInfo[i]["BarColor"]
		end
	end
	
	return 0xFF00FF00
end

local function GetTextColorInfo(key)
	for i = 0,SynflagInfo["ColorNum"],1 do
		if (key > SynflagInfo[i]["Percent"]) then
			return SynflagInfo[i]["NumColor"]
		end
	end
	
	return 0xffff0000
end

-- ͨrequireLuaűʹ
local Player = {
	GetImmortalModeArmor = GetImmortalModeArmor,
	GetStatusIconOffset = GetStatusIconOffset,
	GetNameOffset = GetNameOffset,
	GetWingOffsetY = GetWingOffsetY,
	GetWingOffsetZ = GetWingOffsetZ,
    GetSynflagInfo = GetSynflagInfo,
	GetBarColorInfo = GetBarColorInfo,
	GetTextColorInfo = GetTextColorInfo,
	GetTraceMosterOffset = GetTraceMosterOffset,
	Unload = Unload,
}

-- C++ʹõglobal
Player_GetImmortalModeArmor = Player.GetImmortalModeArmor
Player_GetStatusIconOffset = Player.GetStatusIconOffset
Player_GetNameOffset = Player.GetNameOffset
Player_GetWingOffsetY = Player.GetWingOffsetY
Player_GetWingOffsetZ = Player.GetWingOffsetZ
Player_GetBarColorInfo = Player.GetBarColorInfo
Player_GetSynflagInfo = Player.GetSynflagInfo
Player_GetTextColorInfo = Player.GetTextColorInfo
Player_GetTraceMosterOffset = Player.GetTraceMosterOffset
Player_Unload = Player.Unload

-- requireֵ
return Player

