﻿--器灵TypeID
local SpiritTypeID= {
Amount=19,
[0] = 4200001,
[1] = 4200002,
[2] = 4200003,
[3] = 4200004,
[4] = 4200005,
[5] = 4200006,
[6] = 4200007,
[7] = 4200008,
[8] = 4200009,
[9] = 4200010,
[10] = 4200011,
[11] = 4200012,
[12] = 4200013,
[13] = 4200014,
[14] = 4200015,
[15] = 4200016,
[16] = 4200017,
[17] = 4200018,
[18] = 4200019,
}

--镶嵌器灵对应tips背景
local SpiritTipsInfo= {
["minIcon"] = {x = -7, y = -7, w = 20, h = 20},
["tipsbg"] = {x = -0, y = -10, w = 20, h = 16},
["effect"] = {x = 50, y = 55, w = 128, h = 128},
["bageffect"] = {x = 23, y = 23, w = 45, h = 45},
[4200001] = {effect = "DragonSoul_green", bageffect = "DS_green_box_no", tipsbg = "DragonSoulTips2BG", battle = 1},
[4200002] = {effect = "DragonSoul_green", bageffect = "DS_green_box_blue", tipsbg = "DragonSoulTips2BG", battle = 1},
[4200003] = {effect = "DragonSoul_green", bageffect = "DS_green_box_purple", tipsbg = "DragonSoulTips2BG", battle = 1},
[4200004] = {effect = "DragonSoul_green", bageffect = "DS_green_box_red", tipsbg = "DragonSoulTips2BG", battle = 2},
[4200005] = {effect = "DragonSoul_green", bageffect = "DS_green_box_orange", tipsbg = "DragonSoulTips2BG", battle = 3},
[4200006] = {effect = "DragonSoul_blue", bageffect = "DS_blue_box_no", tipsbg = "DragonSoulTips3BG", battle = 4},
[4200007] = {effect = "DragonSoul_blue", bageffect = "DS_blue_box_blue", tipsbg = "DragonSoulTips3BG", battle = 5},
[4200008] = {effect = "DragonSoul_blue", bageffect = "DS_blue_box_purple", tipsbg = "DragonSoulTips3BG", battle = 6},
[4200009] = {effect = "DragonSoul_blue", bageffect = "DS_blue_box_red", tipsbg = "DragonSoulTips3BG", battle = 7},
[4200010] = {effect = "DragonSoul_blue", bageffect = "DS_blue_box_orange", tipsbg = "DragonSoulTips3BG", battle = 8},
[4200011] = {effect = "DragonSoul_red", bageffect = "DS_red_box_no", tipsbg = "DragonSoulTips4BG", battle = 9},
[4200012] = {effect = "DragonSoul_red", bageffect = "DS_red_box_blue", tipsbg = "DragonSoulTips4BG", battle = 10},
[4200013] = {effect = "DragonSoul_red", bageffect = "DS_red_box_purple", tipsbg = "DragonSoulTips4BG", battle = 11},
[4200014] = {effect = "DragonSoul_red", bageffect = "DS_red_box_red", tipsbg = "DragonSoulTips4BG", battle = 12},
[4200015] = {effect = "DragonSoul_red", bageffect = "DS_red_box_orange", tipsbg = "DragonSoulTips4BG", battle = 13},
[4200016] = {effect = "DragonSoul_gold1", bageffect = "DS_gold1", tipsbg = "DragonSoulTips5BG", battle = 14},
[4200017] = {effect = "DragonSoul_gold2", bageffect = "DS_gold2", tipsbg = "DragonSoulTips5BG", battle = 15},
[4200018] = {effect = "DragonSoul_gold3", bageffect = "DS_gold3", tipsbg = "DragonSoulTips6BG", battle = 16},
[4200019] = {effect = "DragonSoul_gold3", bageffect = "DS_gold3", tipsbg = "DragonSoulTips6BG", battle = 16},
}

local EffectOffset = {
	["DragonSoul_fjcg"] = { x=350, y=250 },--龙魂分解光效
	["DragonSoul_box"] = { x=500, y=270 },--龙魂界面球光效
	["DragonSoul_title"] = { x=500, y=260 },--龙魂标头光效
}

--龙魂升级Rank信息
local UpRankInfo= {
-- [rank] = { sound = "音效.ogg", effect = "光效", effectX = 296, effectY = 196, },
[1] = { sound="sound/ds_fjcg.ogg", effect="DragonSoul_sjcg", effectX = 265, effectY = 270, },--龙魂升级成功光效
[2] = { sound="sound/ds_lhjx.ogg", effect="DragonSoulAwaken", effectX = 265, effectY = 270, },--龙魂觉醒光效
[3] = { sound="sound/ds_hccg.ogg", effect="DragonSoul_sjcg", effectX = 265, effectY = 270, },
[4] = { sound="sound/ds_lhjx.ogg", effect="DragonSoulAwaken", effectX = 265, effectY = 270, },
[5] = { sound="sound/ds_hccg.ogg", effect="DragonSoul_sjcg", effectX = 265, effectY = 270, },
[6] = { sound="sound/ds_lhjx.ogg", effect="DragonSoulAwaken", effectX = 265, effectY = 270, },
[7] = { sound="sound/ds_hccg.ogg", effect="DragonSoul_sjcg", effectX = 265, effectY = 270, },
[8] = { sound="sound/ds_lhjx.ogg", effect="DragonSoulAwaken", effectX = 265, effectY = 270, },
[9] = { sound="sound/ds_hccg.ogg", effect="DragonSoul_sjcg", effectX = 265, effectY = 270, },
[10] = { sound="sound/ds_lhjx.ogg", effect="DragonSoulAwaken", effectX = 265, effectY = 270 },

}

local function GetPrizeInfo(rank, key, default)
    local tRank = UpRankInfo[rank]

    if (tRank == nil) then
        return default
    end

    local ret = tRank[key]

    if (ret == nil) then
        return default
    end

    return ret
end

--龙魂升级Rank信息
local UpRankInfoEx= {
-- [rank] = { sound = "音效.ogg", effect = "光效", effectX = 296, effectY = 196, },
[1] = { sound="sound/ds_fjcg.ogg", effect="DragonSoul_sjcg", },
[2] = { sound="sound/ds_lhjx.ogg", effect="DragonSoulAwaken", },
[3] = { sound="sound/ds_hccg.ogg", effect="DragonSoul_sjcg", },
[4] = { sound="sound/ds_lhjx.ogg", effect="DragonSoulAwaken", },
[5] = { sound="sound/ds_hccg.ogg", effect="DragonSoul_sjcg", },
[6] = { sound="sound/ds_lhjx.ogg", effect="DragonSoulAwaken", },
[7] = { sound="sound/ds_hccg.ogg", effect="DragonSoul_sjcg", },
[8] = { sound="sound/ds_lhjx.ogg", effect="DragonSoulAwaken", },
[9] = { sound="sound/ds_hccg.ogg", effect="DragonSoul_sjcg", },
[10] = { sound="sound/ds_lhjx.ogg", effect="DragonSoulAwaken", },

}

local function GetPrizeInfoEx(rank, key, default)
    local tRank = UpRankInfoEx[rank]

    if (tRank == nil) then
        return default
    end

    local ret = tRank[key]

    if (ret == nil) then
        return default
    end

    return ret
end

local DlgInfo =
{
["DlgQLUpLev"] = {
    -- 新增，不配置则取默认值
    -- 升级概率tip底板颜色(缺省)
    -- TipMaskColor=0x99000000,
    -- 升级概率tip四个边角的间隔(缺省)
    -- s_nTipExSpace=5,
    -- 升级时底盘旋转光效偏移坐标x(缺省)
    -- turnEffX=509
    -- 升级时底盘旋转光效偏移坐标y(缺省)
    -- turnEffY=252
    ProgressTime=2700,
    MaxLevItem=4200018,
    turnEffX=0,
    turnEffY=0,
},
["DlgQLUpLevEx"] = {
    -- 新增，不配置则取默认值
    -- 升级概率tip底板颜色(缺省)
    -- TipMaskColor=0x99000000,
    -- 升级概率tip四个边角的间隔(缺省)
    -- s_nTipExSpace=5,
    -- 升级时底盘旋转光效偏移坐标x(缺省)
    -- turnEffX=509
    -- 升级时底盘旋转光效偏移坐标y(缺省)
    -- turnEffY=252
    ProgressTime=2700,
    MaxLevItem=4200018,
    turnEffect="DragonSoul_noturn2",
    turnEffX=300,
    turnEffY=162,
    BoundLevItemtype=4200010
},
["DlgQLPrizeTip"] = {
    ExsitTime=1500,
    StandTime=1500,
    MoveSpeed=0,
},
["DlgEmbedQL"] = {
    EmbedEffect="dz_set",
    EmbedEffX=367,
    EmbedEffY=310,
    RemoveEffect="dz_dsremove",
    RemoveEffX=275,
    RemoveEffY=220,

    AttriEff0 ="dz_fighting",
    AttriEff1 ="dz_zbzjxg",
    AttriEff2 ="dz_zzwsjc",
    AttriEff3 ="dz_zzwsjm",
    AttriEff4 ="dz_zzfsjc",
    AttriEff5 ="dz_zzfsjm",
    AddEff = "dz_redNumAdd",
    SubEff = "dz_greenNumReduce",
    UpEffX = 310,
    UpEffY = 0,
    UpEffStrX = 210,
    UpEffStrY = 140,
    NumEffX = 360,
    NumEffY = 140,
    NumSpaceX = 36,
    EffSpaceY = 40,
    EffPerSpaceX = 0,

    -- 镶嵌属性预览坐标、宽高、透明底板颜色
    AttrBgX=140,
    AttrBgY=280,
    AttrBgW=300,
    AttrBgH=81,
    AttrBgColor=0xbb111111,
},
}

local QLTotalLevelEffectInfo = {
{
    level = 35,
    effect = "Aspirit_bk",
},
{
    level = 70,
    effect = "Aspirit_bkhigh",
},
{
    level = 95,
    effect = "aspirit_lowlong",
},
{
    level = 126,
    effect = "aspirit_highlong",
},
}

local function GetEffectByQLTotalLevel(QLTotalLevel)
    local maxLevel = 0
    local ret = ""
    
    for i,v in ipairs(QLTotalLevelEffectInfo) do
        if (QLTotalLevel >= v.level and v.level > maxLevel) then
            maxLevel = v.level
            ret = v.effect
        end
    end
    
    return ret
end

local function GetQLEffectMinLev()
    local minLev = QLTotalLevelEffectInfo[1].level
    
    for i,v in ipairs(QLTotalLevelEffectInfo) do
        if (v.level < minLev) then
            minLev = v.level
        end
    end
    
    return minLev
end

local function GetDlgInfo(dlg, key, default, bigUI)
    local tDlg = DlgInfo[dlg]

    if (tDlg == nil) then
        return default
    end

    local ret = tDlg[key]

    if (ret == nil) then
        return default
    end

    return ret
end

local function GetEffectOffset(Effect, Axis)
    return EffectOffset[Effect][Axis]
end

local function GetSpiritAmount()
    return SpiritTypeID.Amount
end

local function GetSpiritTypeID(Index)
    return SpiritTypeID[Index]
end

local function GetSpiritTipsInfo(TypeID, Axis)
    return SpiritTipsInfo[TypeID][Axis]
end

local function GetSpiritTipsOffset(NameType,Axis)
    return SpiritTipsInfo[NameType][Axis]
end

-- 清理变量释放内存
local function Unload()
    SpiritTypeID = nil
    SpiritTipsAni = nil
    UpRankInfo = nil
    DlgInfo = nil
    UpRankInfoEx = nil
end

local Spirit = {
    GetEffectOffset = GetEffectOffset,
    GetSpiritAmount = GetSpiritAmount,
    GetSpiritTypeID = GetSpiritTypeID,
    GetSpiritTipsInfo = GetSpiritTipsInfo,
    GetSpiritTipsOffset = GetSpiritTipsOffset,
    GetPrizeInfo = GetPrizeInfo,
    GetDlgInfo = GetDlgInfo,
    GetEffectByQLTotalLevel = GetEffectByQLTotalLevel,
    GetQLEffectMinLev = GetQLEffectMinLev,
    GetPrizeInfoEx = GetPrizeInfoEx,
    Unload = Unload,
}

-- C++程序使用的global函数名
Spirit_GetEffectOffset = Spirit.GetEffectOffset
Spirit_GetSpiritAmount = Spirit.GetSpiritAmount
Spirit_GetSpiritTypeID = Spirit.GetSpiritTypeID
Spirit_GetSpiritTipsInfo = Spirit.GetSpiritTipsInfo
Spirit_GetSpiritTipsOffset = Spirit.GetSpiritTipsOffset
Spirit_GetPrizeInfo = Spirit.GetPrizeInfo
Spirit_GetPrizeInfoEx = Spirit.GetPrizeInfoEx
Spirit_GetDlgInfo = Spirit.GetDlgInfo
Spirit_GetEffectByQLTotalLevel = Spirit.GetEffectByQLTotalLevel
Spirit_GetQLEffectMinLev = Spirit.GetQLEffectMinLev

-- require返回值
return Spirit
