
--type  1:image  2:myparseStatic 3:
local ann_info = {
	x=45,
	y=68,
	w=882,
	h=440,
	imgN="yaoganzhu_ltxdpic",  --普通的点图
	imgS="yaoganzhu_ltxdlpic",  --选中的点图
	DelayTm=10000, --每过5秒翻页
	nextEff="jm_pkztgx",  --下一页按钮上特效
	space=6,  --行空格
	speed=2,      --竖向滑动速度
	openLv=5,     --打开等级
}

--强更公告长度
local ann_PageHeight = {
	--[0] = 500,第0页向下长度
	[0] = 1200,
	[1] = 500,
}

--普通公告长度
local ann_PageNormalHeight = {
	--[0] = 2800,
	--[1] = 2600,
}

--强制更改
--uTpy 1:图片  2物品  3：普通文本  4：超文本
local ann_force_update = {
	count = 1,
	[0] = {
		count = 1,
		-- [0]={
			-- uTpy=1,
			-- ani="gonggao_beijingtpic",
			-- x=1111110,
			-- y=0,
			-- w=882,
			-- h=500,
			-- url="https://kdzf.99.com",
		-- },
		-- [1]={
			-- uTpy=1,
			-- ani="gonggao_nrwz1pic",
			-- x=1111164,
			-- y=55,
			-- w=804,
			-- h=130,
		-- },
		[0]={
			uTpy=4,
			text="STR_PROTO_ALL",
			color=0xfff2e6c4,
			x=50,
			y=50,
			w=800,
			h=1200,
			size=22,
			style=2,
		},
	},
}

--普通公告

local ann_normal_update = {
	count = 1,
	[0] = {
		count = 1,
		[0]={
			uTpy=4,
			ini="ini/gameannounce.ini",
			text="STR_PROTO_ALL",
			color=0xfff2e6c4,
			x=10,
			y=10,
			w=862,
			h=5000,
			size=22,
		},
	},
}


local function GetUpdate(AnnTpy , key , key1 , key2)
	local ann_update = ann_force_update;
	if AnnTpy == 1 then
		ann_update = ann_normal_update;
	end
	if ann_update[key] == nil then
		return ""
	end
	if ann_update[key][key1] == nil then
		return ""
	end
	if ann_update[key][key1][key2] == nil then
		return ""
	end
	return ann_update[key][key1][key2]
end

local function GetUpdateCount(AnnTpy)
	local ann_update = ann_force_update;
	if AnnTpy == 1 then
		ann_update = ann_normal_update;
	end
	if ann_update["count"] == nil then
		return 0
	end
	return ann_update["count"]
end

local function GetUpdateItemCount(AnnTpy , key)
	local ann_update = ann_force_update;
	if AnnTpy == 1 then
		ann_update = ann_normal_update;
	end
	if ann_update[key] == nil or ann_update[key]["count"] == nil then
		return 0
	end
	return ann_update[key]["count"]
end

local function GetInfo(key)
	if ann_info[key] == nil then
		return ""
	end
	return ann_info[key]
end

local function GetPageHeight(AnnTpy , key)
	local ann_Page = ann_PageHeight;
	if AnnTpy == 1 then
		ann_Page = ann_PageNormalHeight;
	end
	if ann_Page[key] == nil then
		return 0
	end
	return ann_Page[key]
end

local AnnounceUpdate = {
	GetUpdateCount = GetUpdateCount,
	GetUpdateItemCount = GetUpdateItemCount,
    GetUpdate = GetUpdate,
	GetInfo = GetInfo,
	GetPageHeight = GetPageHeight,
}

AnnounceUpdate_GetUpdateCount = AnnounceUpdate.GetUpdateCount
AnnounceUpdate_GetUpdateItemCount = AnnounceUpdate.GetUpdateItemCount
AnnounceUpdate_GetUpdate = AnnounceUpdate.GetUpdate
AnnounceUpdate_GetPageHeight = AnnounceUpdate.GetPageHeight
AnnounceUpdate_GetInfo = AnnounceUpdate.GetInfo

-- require返回值
return AnnounceUpdate
