-- սȡλ
local function GetIndexByBattle(battle, default)
	if type(battle) ~= "number" then
		return default
	end
	
	if battle >= 0 and battle <= 300 then
		return 1
	elseif battle >= 301 and battle <= 375 then
		return 2
	elseif battle >= 376 and battle <= 450 then
		return 3
	elseif battle >= 451 and battle <= 999999 then
		return 4
	end

	return default
end

-- 
local RewardPassion = {
    [1] = {
     { ItemType=3327104, Num=1, Mono=0, },
     { ItemType=723700, Num=1, Mono=0, },
     { ItemType=725126, Num=1, Mono=0, }, 
    },
    [2] = {
	 { ItemType=3327104, Num=1, Mono=0, },
     { ItemType=723700, Num=1, Mono=0, },
     { ItemType=725126, Num=1, Mono=0, }, 
    },
    [3] = {
	 { ItemType=3327104, Num=1, Mono=0, },
     { ItemType=723700, Num=1, Mono=0, },
     { ItemType=725126, Num=1, Mono=0, }, 
    },
    [4] = {
	 { ItemType=3327104, Num=1, Mono=0, },
	 { ItemType=723700, Num=1, Mono=0, },
     { ItemType=725126, Num=1, Mono=0, }, 
    },
}

-- λƷ,ĸ
local Reward = {
    [1] = {
     { ItemType=3327104, Num=1, Mono=0, },
     { ItemType=723700, Num=1, Mono=0, },
     { ItemType=725126, Num=1, Mono=0, }, 
    },
    [2] = {
	 { ItemType=3327104, Num=1, Mono=0, },
     { ItemType=723700, Num=1, Mono=0, },
     { ItemType=725126, Num=1, Mono=0, }, 
    },
    [3] = {
	 { ItemType=3327104, Num=1, Mono=0, },
     { ItemType=723700, Num=1, Mono=0, },
     { ItemType=725126, Num=1, Mono=0, }, 
    },
    [4] = {
	 { ItemType=3327104, Num=1, Mono=0, },
	 { ItemType=723700, Num=1, Mono=0, },
     { ItemType=725126, Num=1, Mono=0, }, 
    },
}

local function GetReward(level, index, key, default)
    local tReward = nil
    if (UserData_IsPassionServer() == true) then
        tReward = RewardPassion
    else
        tReward = Reward
    end

    local tItems = tReward[level]
    if (tItems == nil) then
        return default
    end

    local tItem = tItems[index]
    if (tItem == nil) then
        return default
    end

    local ret = tItem[key]
    if (ret == nil) then
        return default
    end

    return ret
end


-- λʱ
local BeginTime = {
	[1] = "10:45",
	[2] = "15:45",
	[3] = "19:45",
	[4] = "21:45",
}

local function GetBeginTimeByIndex(index, default)
	if BeginTime[index] ~= nil then
		return BeginTime[index]
	end
	
	return default
end

-- λսΧı
local BattleRange = {
	[1] = "0-300 BP",
	[2] = "301-375 BP",
	[3] = "376-450 BP",
	[4] = "451+ BP",
}

local function GetBattleRangeByIndex(index, default)
	if BattleRange[index] ~= nil then
		return BattleRange[index]
	end
	
	return default
end

-- ˿ɲбʾ
local PKDesc = {
	[1] = "<color=0xfbec8a>300- BP: </color><color=0xb3b3b2>10:45 - 11:00</color>",
	[2] = "<color=0xfbec8a>301-375 BP: </color><color=0xb3b3b2>15:45 - 16:00</color>",
	[3] = "<color=0xfbec8a>376-450 BP: </color><color=0xb3b3b2>19:45 - 20:00</color>",
	[4] = "<color=0xfbec8a>451+ BP: </color><color=0xb3b3b2>21:45 - 22:00</color>"
}

local function GetPKDescByIndex(index, default)
	if PKDesc[index] ~= nil then
		return PKDesc[index]
	end
	
	return default
end

-- ȫʾ ҳȡ
local AllPKDesc = {
	-- ʾҳ
	page = 1,
	[1] = "<color=0xffc38963>300- BP:</color> 10:45 - 11:00\n \n \n<color=0xffc38963>301-375 BP:</color> 15:45 - 16:00\n \n \n<color=0xffc38963>376-450 BP:</color> 19:45 - 20:00\n \n \n<color=0xffc38963>451+ BP:</color> 21:45 - 22:00\n \n \n",
	-- [2] = "<color=0xffc38963>376-450ս:</color> 19:45 - 20:00\n \n \n<color=0xffc38963>451ս:</color> 21:45 - 22:00\n \n \n",
}

local function GetAllPKInfo(index, default)
	if AllPKDesc[index] ~= nil then
		return AllPKDesc[index]
	end
	
	return default
end

-- ǰ-Ѱ·
-- local AutoRunTarget = {
	-- mapid = 1002,
	-- x = 456,
	-- y = 291,
	-- npcid = 4990,
-- }
-- ǰ-Ѱ·
local AutoRunTarget = {
	[0] = {
		mapid = 1002,
		x = 456,
		y = 291,
		npcid = 4990,
	},
	[1] = {
		mapid = 10364,
		x = 295,
		y = 141,
		npcid = 4990,
	},	
}

local function GetAutoRunTargetInfo(index, default)
	local tTarget = nil
	if (UserData_IsPassionServer() == true) then
		tTarget = AutoRunTarget[1]
	else
		tTarget = AutoRunTarget[0]
	end

	if tTarget[index] ~= nil then
		return tTarget[index]
	end
	
	return default
end

-- local function GetAutoRunTargetInfo(index, default)
	-- if AutoRunTarget[index] ~= nil then
		-- return AutoRunTarget[index]
	-- end
	
	-- return default
-- end

-----------------------
local function GetRewardNum(level, default)
    local tReward = nil
    if (UserData_IsPassionServer() == true) then
        tReward = RewardPassion
    else
        tReward = Reward
    end

    return #tReward[level]
end

-- ͷڴ
local function Unload()
	AllPKDesc = nil
	PKDesc = nil
    Reward = nil
	BattleRange = nil
	BeginTime = nil
	AutoRunTarget = nil
end

-- ͨrequireLuaűʹ
local BattlePK = {
	GetRewardNum = GetRewardNum,
	GetAllPKInfo = GetAllPKInfo,
	GetPKDescByIndex = GetPKDescByIndex,
	GetBeginTimeByIndex = GetBeginTimeByIndex,
	GetBattleRangeByIndex = GetBattleRangeByIndex,
	GetReward = GetReward,
	GetBattleLevel = GetBattleLevel,
	GetIndexByBattle = GetIndexByBattle,
	GetAutoRunTargetInfo = GetAutoRunTargetInfo,
    Unload = Unload,
}

-- C++ʹõglobal
BattlePK_GetRewardNum = BattlePK.GetRewardNum
BattlePK_GetAutoRunTargetInfo = BattlePK.GetAutoRunTargetInfo
BattlePK_GetIndexByBattle = BattlePK.GetIndexByBattle
BattlePK_GetAllPKInfo = BattlePK.GetAllPKInfo
BattlePK_GetPKDescByIndex = BattlePK.GetPKDescByIndex
BattlePK_GetBeginTimeByIndex = BattlePK.GetBeginTimeByIndex
BattlePK_GetBattleRangeByIndex = BattlePK.GetBattleRangeByIndex
BattlePK_GetReward = BattlePK.GetReward
BattlePK_GetRewardByBattle = BattlePK.GetRewardByBattle
BattlePK_Unload = BattlePK.Unload

-- requireֵ
return BattlePK