local ACT_RANK = 1				-- λ
local ACT_TEAM_PK = 2			-- PK
local ACT_MASS_PK = 3			-- PK
local ACT_PROF_PK = 4			-- ְҵPK
local ACT_FLAG_WAR = 5			-- ս
local ACT_FLAG_WAR_CROSS = 6 	-- ս
local ACT_BATTLE_PK = 7			-- սPK
local ACT_WEEK_PK = 8			-- PK
local ACT_MONTH_PK = 9			-- PK
local ACT_ELITE_PK = 10			-- ӢPK
local ACT_ELITE_PK_CROSS = 11 	-- ӢPK
local ACT_TEAM_PK_CROSS = 12	-- PK

-- DateType 1Ϊдڼ, 2Ϊÿ¼ſ, 3Ϊдָ
local CompetitiveWeekInfo = {
	Count = 11,
	[0] = {
		id = ACT_RANK,
		name = "Qualifier",
		DateType = 1,
		OpenDate = "1,2,3,4,5,6,7",
	},
	[1] = {
		id = ACT_TEAM_PK,
		name = "Team PK Tournament",
		DateType = 1,
		OpenDate = "6",
		NoticeTime = "18:55",
	},
	[2] = {
		id = ACT_MASS_PK,
		name = "Skill Team PK",
		DateType = 1,
		OpenDate = "3",
		NoticeTime = "19:45",
	},
	[3] = {
		id = ACT_PROF_PK,
		name = "Class PK War",
		DateType = 1,
		OpenDate = "1",
		NoticeTime = "19:15",
	},
	[4] = {
		id = ACT_FLAG_WAR,
		name = "Capture the Flag ",
		DateType = 1,
		OpenDate = "6",
		NoticeTime = "21:00",
	},
	[5] = {
		id = ACT_FLAG_WAR_CROSS,
		name = "Cross-server CTF",
		DateType = 1,
		OpenDate = "5",
		NoticeTime = "21:00",
		EnableCross=true,
	},
	-- [6] = {
		-- id = ACT_BATTLE_PK,
		-- name = "BP PK War",
		-- DateType = 1,
		-- OpenDate = "1,2,3,4,5",
		-- NoticeTime = "10:45,13:45,19:45,21:45",
	-- },
	[6] = {
		id = ACT_WEEK_PK,
		name = "Weekly PK War",
		DateType = 1,
		OpenDate = "6",
		NoticeTime = "20:00",
	},
	[7] = {
		id = ACT_MONTH_PK,
		name = "Monthly PK War",
		DateType = 2,
		OpenDate = "1",
		NoticeTime = "20:00",
	},
	[8] = {
		id = ACT_ELITE_PK,
		name = "Elite PK",
		DateType = 1,
		OpenDate = "5",
		NoticeTime = "19:55",
	},
	[9] = {                                  --
		id = ACT_ELITE_PK_CROSS,
		name = "CS Elite PK",
		DateType = 3,
		OpenDate = "2020-02-18,2020-02-25",
		NoticeTime = "19:55",
		EnableCross=true,
	},
	[10] = {                                  --
		id = ACT_TEAM_PK_CROSS,
		name = "CS Team PK",
		DateType = 1,
		OpenDate = "4",
		EnableCross=true,
	},
}




local Award = {
    ["Old"] = {
        [ACT_TEAM_PK] = {
            [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3314709,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3314709,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3314709,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3314709,
                    Num=1,
                    Monopoly=0,
                },
            },  
        },
        [ACT_MASS_PK] = {
            [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3314726,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3314726,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3314726,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3314726,
                    Num=1,
                    Monopoly=0,
                },
            },   
            
        },
        [ACT_PROF_PK] = {
             [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3327132,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3327132,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3327132,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3327132,
                    Num=1,
                    Monopoly=0,
                },
            }, 
        },
        [ACT_BATTLE_PK] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3327126,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3327126,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3327126,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3327126,
                    Num=1,
                    Monopoly=0,
                },
            },    
        },
        [ACT_WEEK_PK] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },          
        },
        [ACT_MONTH_PK] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            }, 
        },
        [ACT_ELITE_PK] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3314692,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3314692,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3314692,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3314692,
                    Num=1,
                    Monopoly=0,
                },
            }, 
        },
        [ACT_ELITE_PK_CROSS] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3305130,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3305130,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3305130,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3305130,
                    Num=1,
                    Monopoly=0,
                },
            },      
		},
        [ACT_TEAM_PK_CROSS] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=723700,
                    Num=1,
                    Monopoly=1,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=723700,
                    Num=2,
                    Monopoly=1,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=723700,
                    Num=3,
                    Monopoly=1,
                },
            },
            [4]={--4
                Num = 2,
                [0]={
                    IdItem=723700,
                    Num=4,
                    Monopoly=1,
                },
                [1]={
                    IdItem=700031,
                    Num=21,
                    Monopoly=0,
                },
            },         
        },
    },
    ["New"]={
        [ACT_TEAM_PK] = {
            [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3314709,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3314709,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3314709,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3314709,
                    Num=1,
                    Monopoly=0,
                },
            },  
        },
        [ACT_MASS_PK] = {
            [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3314726,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3314726,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3314726,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3314726,
                    Num=1,
                    Monopoly=0,
                },
            },   
            
        },
        [ACT_PROF_PK] = {
             [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3327132,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3327132,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3327132,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3327132,
                    Num=1,
                    Monopoly=0,
                },
            }, 
        },
        [ACT_BATTLE_PK] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3327126,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3327126,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3327126,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3327126,
                    Num=1,
                    Monopoly=0,
                },
            },    
        },
        [ACT_WEEK_PK] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },          
        },
        [ACT_MONTH_PK] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            }, 
        },
        [ACT_ELITE_PK] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3314692,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3314692,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3314692,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3314692,
                    Num=1,
                    Monopoly=0,
                },
            }, 
        },
        [ACT_ELITE_PK_CROSS] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3305130,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3305130,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3305130,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3305130,
                    Num=1,
                    Monopoly=0,
                },
            },     
		},
        [ACT_TEAM_PK_CROSS] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=723700,
                    Num=1,
                    Monopoly=1,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=723700,
                    Num=2,
                    Monopoly=1,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=723700,
                    Num=3,
                    Monopoly=1,
                },
            },
            [4]={--4
                Num = 2,
                [0]={
                    IdItem=723700,
                    Num=4,
                    Monopoly=1,
                },
                [1]={
                    IdItem=700031,
                    Num=21,
                    Monopoly=0,
                },
            },         
        },
    },
    ["Fight"] = {
        [ACT_TEAM_PK] = {
            [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3314709,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3314709,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3314709,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3314709,
                    Num=1,
                    Monopoly=0,
                },
            },  
        },
        [ACT_MASS_PK] = {
            [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3314726,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3314726,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3314726,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3314726,
                    Num=1,
                    Monopoly=0,
                },
            },   
            
        },
        [ACT_PROF_PK] = {
             [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3327132,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3327132,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3327132,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3327132,
                    Num=1,
                    Monopoly=0,
                },
            }, 
        },
        [ACT_BATTLE_PK] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3327126,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3327126,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3327126,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3327126,
                    Num=1,
                    Monopoly=0,
                },
            },    
        },
        [ACT_WEEK_PK] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },          
        },
        [ACT_MONTH_PK] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3327115,
                    Num=1,
                    Monopoly=0,
                },
            }, 
        },
        [ACT_ELITE_PK] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3314692,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3314692,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3314692,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3314692,
                    Num=1,
                    Monopoly=0,
                },
            }, 
        },
        [ACT_ELITE_PK_CROSS] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=3305130,
                    Num=1,
                    Monopoly=0,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=3305130,
                    Num=1,
                    Monopoly=0,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=3305130,
                    Num=1,
                    Monopoly=0,
                },
            },
            [4]={--4
                Num = 1,
                [0]={
                    IdItem=3305130,
                    Num=1,
                    Monopoly=0,
                },
            },         
		},
        [ACT_TEAM_PK_CROSS] = {
           [1]={--һ
                Num = 1,
                [0]={
                    IdItem=723700,
                    Num=1,
                    Monopoly=1,
                },
            },
            [2]={--2
                 Num = 1,
                [0]={
                    IdItem=723700,
                    Num=2,
                    Monopoly=1,
                },
            },
            [3]={--3
                Num = 1,
                [0]={
                    IdItem=723700,
                    Num=3,
                    Monopoly=1,
                },
            },
            [4]={--4
                Num = 2,
                [0]={
                    IdItem=723700,
                    Num=4,
                    Monopoly=1,
                },
                [1]={
                    IdItem=700031,
                    Num=21,
                    Monopoly=0,
                },
            },         
        },
    },
}


-- Ԥʱ(Ϊλ)
local NoticeTime = 120
-- Ԥ(뵥λ)
local NoticeInterval = 2000

local function GetNoticeTime(default)
	if NoticeTime ~= nil then
		return NoticeTime
	end
	
	return default
end

local function GetNoticeInterval(default)
	if NoticeInterval ~= nil then
		return NoticeInterval
	end
	
	return default
end

local function GetCompetitiveWeekInfo(index, Type, default)
    if CompetitiveWeekInfo[index][Type] == nil then
		return default
	end

    return CompetitiveWeekInfo[index][Type]
end

local function GetCompetitiveWeekNum(default)
	if CompetitiveWeekInfo["Count"] == nil then
		return default
	end
	
	return CompetitiveWeekInfo["Count"]
end

--  
-- //棭PK	Arena_WZpkysPic
-- //棭PK	Arena_WZpkzsPic
-- //棭սPK	Arena_WZzdlpksPic
-- //棭ְҵPK	Arena_WZzypksPic
-- //ӢPKֿӢPK	Elite_WZkfjypksPic
-- //ӢPK־ӢPK	Elite_WZjypksPic
-- //սֿս	Flag_WZkfzqzbsPic
-- //սֿս	Flag_WZzqzbsPic
-- //PKֿPK	Team_WZkfzdpksPic
-- //PKPK	Team_WZzdpksPic
-- //PKӴPK	Team_WZzddzpksPic

local T_Title_Ani = {
	[0] = { AniSection="Arena_WZzypksPic", x=0, y=0, },
	[ACT_RANK] = { AniSection="Solo_WZpwsPic", x=0, y=0, },
	[ACT_TEAM_PK] = { AniSection="Team_WZzdpksPic", x=0, y=0, },
	[ACT_MASS_PK] = { AniSection="Team_WZzddzpksPic", x=0, y=0, },
	[ACT_PROF_PK] = { AniSection="Arena_WZzypksPic", x=0, y=0, },
	[ACT_FLAG_WAR] = { AniSection="Flag_WZzqzbsPic", x=0, y=0, },
	[ACT_FLAG_WAR_CROSS] = { AniSection="Flag_WZkfzqzbsPic", x=0, y=0, },
	[ACT_BATTLE_PK] = { AniSection="Arena_WZzdlpksPic",  x=0, y=0, },
	[ACT_WEEK_PK] = { AniSection="Arena_WZpkzsPic", x=0, y=0, },
	[ACT_MONTH_PK] = { AniSection="Arena_WZpkysPic", x=0, y=0, },
	[ACT_ELITE_PK] = { AniSection="Elite_WZjypksPic", x=0, y=0, },
	[ACT_ELITE_PK_CROSS] = { AniSection="Elite_WZkfjypksPic", x=0, y=0, },
	[ACT_TEAM_PK_CROSS] = { AniSection="Team_WZkfzdpksPic", x=0, y=0, },
}

--ÿֱıӦcn_res.ini
local AwardTips = {
    [ACT_TEAM_PK] = "STR_PK_ATTENDAWARD_TIPS1",
    [ACT_MASS_PK] = "STR_PK_ATTENDAWARD_TIPS2",
    [ACT_PROF_PK] = "STR_PK_ATTENDAWARD_TIPS3",
    [ACT_BATTLE_PK] = "STR_PK_ATTENDAWARD_TIPS4",
    [ACT_WEEK_PK] = "STR_PK_ATTENDAWARD_TIPS5",
    [ACT_MONTH_PK] = "STR_PK_ATTENDAWARD_TIPS6",
    [ACT_ELITE_PK] = "STR_PK_ATTENDAWARD_TIPS7",
    [ACT_ELITE_PK_CROSS] = "STR_PK_ATTENDAWARD_TIPS8",
    [ACT_TEAM_PK_CROSS] = "STR_PK_ATTENDAWARD_TIPS9",
}


local WarFlagNpc = {
    --շֵ
    --ͬNPCλòͬ
    ["Old"] = {--սNPC
        mapid = 1002,
		x = 317,
		y = 318,
		npcid = 380,
		Radius = 4,
    },
    ["New"] = {--·սNPC
        mapid = 1002,
		x = 317,
		y = 318,
		npcid = 380,
		Radius = 4,
	},
	["Fight"] = {--սNPC
        mapid = 10364,
		x = 222,
		y = 237,
		npcid = 380,
		Radius = 4,
    },
}

local CrossWarFlagNpc = {
    ["Old"] = {--սNPC
        mapid = 1002,
		x = 317,
		y = 323,
		npcid = 17981,
		Radius = 4,
    },
    ["New"] = {--·սNPC
        mapid = 1002,
		x = 317,
		y = 323,
		npcid = 17981,
		Radius = 4,
	},
	["Fight"] = {--սNPC
        mapid = 10364,
		x = 222,
		y = 240,
		npcid = 8713,
		Radius = 4,
    },
}


local AttendAwardPos = {
    --ʾмƷ
    [1] = {
        --ҶӦiniе xywh
        [0] = "160,160,65,65",
    },
    [2] = {
        [0] = "0,160,65,65",
        [1] = "200,160,65,65",
    },
    [3] = {
        [0] = "40,160,65,65",
        [1] = "140,160,65,65",
        [2] = "240,160,65,65",
    },
    [4] = {
        [0] = "0,160,65,65",
        [1] = "70,160,65,65",
        [2] = "140,160,65,65",
        [3] = "200,160,65,65",
    },
    [5] = {
        [0] = "40,160,65,65",
        [1] = "90,160,65,65",
        [2] = "145,160,65,65",
        [3] = "195,160,65,65",
        [4] = "240,160,65,65",
    },
}

local UseBattlePK = {
     ACT_BATTLE_PK,
     ACT_ELITE_PK,
     ACT_ELITE_PK_CROSS,
}

local function GetPositionInfo(Num,index)
    return AttendAwardPos[Num][index]
end

local function GetType(Type, level, Num)
    local key = 0
    local flag = 0
    for i = 1 ,#UseBattlePK do
        if(Type == UseBattlePK[i])then
            flag = 1
            if(Num<=300)then
                Num =1
            elseif(Num<=375)then
                Num =2
            elseif(Num<=450)then
                Num =3
            else
                Num =4
            end
            key = Num
        end
    end
    if(flag == 0)then
        if(level<100)then
            level = 1
        elseif(level<120)then
            level = 2
        elseif(level<130)then
            level = 3
        else
            level = 4
        end
        key = level
    end
    return key
end

local function GetAwardNum(PKType, Group)
    if (UserData_IsPassionServer() == true)then
        return Award["Fight"][PKType][Group].Num
	elseif (UserData_IsNewServer() == true)then
        return Award["New"][PKType][Group].Num
    else
        return Award["Old"][PKType][Group].Num
    end
    return nil
end

local function GetAward(PKType, Group, index, key)
    if (UserData_IsPassionServer() == true)then
        return Award["Fight"][PKType][Group][index][key]
    elseif (UserData_IsNewServer() == true)then
        return Award["New"][PKType][Group][index][key]
    else
        return Award["Old"][PKType][Group][index][key]
    end
    return nil
end


local function GetAwardTip(PKType)
    return AwardTips[PKType]
end




local function GetNpcInfo(key,default)
    if (UserData_IsPassionServer() == true)then
        return WarFlagNpc["Fight"][key]
	elseif (UserData_IsNewServer() == true)then
		return WarFlagNpc["New"][key]
	else
		return WarFlagNpc["Old"][key]
	end
	return default
end

local function GetCrossNpcInfo(key,default)
    if (UserData_IsPassionServer() == true)then
        return CrossWarFlagNpc["Fight"][key]
    elseif (UserData_IsNewServer() == true)then
		return CrossWarFlagNpc["New"][key]
	else
		return CrossWarFlagNpc["Old"][key]
	end
	return default
end




local function GetTitleInfo(actType, key, default)
	local tInfo = T_Title_Ani[actType]
	if (tInfo == nil) then
		return default
	end
	
	local ret = tInfo[key]
	if (ret == nil) then
		return default
	end
	return ret
end

local T_Act2Index = nil
local function GetActInfo(actType, key, default)
	if (T_Act2Index == nil) then
		T_Act2Index = {}
		for k, v in pairs(CompetitiveWeekInfo) do
			if (type(k) == "number" and type(v) == "table") then
				T_Act2Index[v.id] = k
			end
		end
	end

	local index = T_Act2Index[actType]
	if (index == nil) then
		return default
	end

	return GetCompetitiveWeekInfo(index, key, default)
end

-- ͷڴ
local function Unload()
	GetAward = nil
	GetAwardNum = nil
	GetAwardTip = nil
	GetType = nil
    CompetitiveWeekInfo = nil
	warFlagNPC = nil
	crosswarFlagNPC = nil
	AttendAwardPos = nil
	UseBattlePK = nil
end

-- ͨrequireLuaűʹ
local CompetitiveWeek = {
	GetPositionInfo = GetPositionInfo,
	GetAward = GetAward,
	GetAwardNum = GetAwardNum,
	GetAwardTip = GetAwardTip,
	GetType = GetType,
	GetNpcInfo = GetNpcInfo,
	GetCrossNpcInfo = GetCrossNpcInfo,
	GetNoticeInterval = GetNoticeInterval,
	GetNoticeTime = GetNoticeTime,
    GetCompetitiveWeekInfo = GetCompetitiveWeekInfo,
	GetCompetitiveWeekNum = GetCompetitiveWeekNum,
	GetTitleInfo = GetTitleInfo,
	GetActInfo = GetActInfo,
    Unload = Unload,
}

-- C++ʹõglobal
CompetitiveWeek_GetPositionInfo = CompetitiveWeek.GetPositionInfo
CompetitiveWeek_GetAward= CompetitiveWeek.GetAward
CompetitiveWeek_GetAwardNum = CompetitiveWeek.GetAwardNum
CompetitiveWeek_GetAwardTip = CompetitiveWeek.GetAwardTip
CompetitiveWeek_GetType = CompetitiveWeek.GetType
CompetitiveWeek_GetNpcInfo = CompetitiveWeek.GetNpcInfo
CompetitiveWeek_GetCrossNpcInfo = CompetitiveWeek.GetCrossNpcInfo
CompetitiveWeek_GetNoticeInterval = CompetitiveWeek.GetNoticeInterval
CompetitiveWeek_GetNoticeTime = CompetitiveWeek.GetNoticeTime
CompetitiveWeek_GetCompetitiveWeekInfo = CompetitiveWeek.GetCompetitiveWeekInfo
CompetitiveWeek_GetCompetitiveWeekNum = CompetitiveWeek.GetCompetitiveWeekNum
CompetitiveWeek_GetTitleInfo = CompetitiveWeek.GetTitleInfo
CompetitiveWeek_GetActInfo = CompetitiveWeek.GetActInfo
CompetitiveWeek_Unload = CompetitiveWeek.Unload


-- requireֵ
return CompetitiveWeek