local T_ScreenSkin ={
	[1000] = {Bg = "DMskin_Kuang3", Effect = "", Access = ""},
	[100] = {Bg = "DMskin_White", Effect = "dmk_cl", Access = "STR_SCREEN_CHAT_SKIN_ACCESS_1"},
	[200] = {Bg = "DMskin_Black", Effect = "dmk_sq", Access = "STR_SCREEN_CHAT_SKIN_ACCESS_1"},
	[300] = {Bg = "DMskin_Red", Effect = "dmk_hg", Access = "STR_SCREEN_CHAT_SKIN_ACCESS_1"},
	[400] = {Bg = "DMskin_Gold", Effect = "dmk_jl", Access = "STR_SCREEN_CHAT_SKIN_ACCESS_1"},
	[500] = {Bg = "DMskin_Green", Effect = "dmk_lg", Access = "STR_SCREEN_CHAT_SKIN_ACCESS_1"},
	[600] = {Bg = "DMskin_Purple", Effect = "dmk_hd", Access = "STR_SCREEN_CHAT_SKIN_ACCESS_1"},
}

local T_ScreenSkinOff ={
	Effectoffx=10,
	Effectoffy=30,
	BgoffUp=-20,
	BgoffDown=0,
	BgoffWidth=20,
}

local T_ReferebceId ={
	Count = 7,
	[0] = 1000,
	[1] = 100,
	[2] = 200,
	[3] = 300,
	[4] = 400,
	[5] = 500,
	[6] = 600,
}

local T_ScreenChatTool ={
	ToolId = 3314137,
	Num = 6,
	[0] = {Text = "STR_SCREEN_CHAT_STAGE_1" ,Color = 3, AreaStyle=0 , FontSize=32},
	[1] = {Text = "STR_SCREEN_CHAT_STAGE_2" ,Color = 4, AreaStyle=1 , FontSize=32},
	[2] = {Text = "STR_SCREEN_CHAT_STAGE_3" ,Color = 5, AreaStyle=2 , FontSize=32},
	[3] = {Text = "STR_SCREEN_CHAT_STAGE_4" ,Color = 6, AreaStyle=0 , FontSize=20},
	[4] = {Text = "STR_SCREEN_CHAT_STAGE_5" ,Color = 7, AreaStyle=1 , FontSize=20},
	[5] = {Text = "STR_SCREEN_CHAT_STAGE_6" ,Color = 8, AreaStyle=2 , FontSize=20},
}

local function GetScreenSkin(Index, Key)
    return T_ScreenSkin[Index][Key]
end

local function GetScreenSkinInfo(id)
    return T_ReferebceId[id]
end

local function IsScreenChatTool(Index)
    local f = T_ScreenChatTool.ToolId
	if(Index == f) then
		return 1
	end	

	return 0
end

local function GetScreenChatTool(Index, key)
    local f = T_ScreenChatTool[Index][key]
	if(f ~= nil) then
		return f
	end

	if (key == "Text") then
		return ""
	else
		return 0
	end
end

local function GetScreenChatToolNum()
    local f = T_ScreenChatTool.Num
	if(f ~= nil) then
		return f
	end

	return 0
end

local function GetScreenSkinOff(key)
    local f = T_ScreenSkinOff[key]
	if(f ~= nil) then
		return f
	end

	return 0
end

local ScreenChat = {
	GetScreenSkin = GetScreenSkin,
	GetScreenSkinInfo = GetScreenSkinInfo,
	IsScreenChatTool = IsScreenChatTool,
	GetScreenChatTool = GetScreenChatTool,
	GetScreenChatToolNum = GetScreenChatToolNum,
	GetScreenSkinOff = GetScreenSkinOff,
}

ScreenChat_GetScreenSkin = ScreenChat.GetScreenSkin
ScreenChat_GetScreenSkinInfo = ScreenChat.GetScreenSkinInfo
ScreenChat_IsScreenChatTool = ScreenChat.IsScreenChatTool
ScreenChat_GetScreenChatTool = ScreenChat.GetScreenChatTool
ScreenChat_GetScreenChatToolNum = ScreenChat.GetScreenChatToolNum
ScreenChat_GetScreenSkinOff = ScreenChat.GetScreenSkinOff

return ScreenChat
--print(ScreenChat_GetScreenSkinOff("Effectoffy"))