local SignPrize = {
	[1] = {itemType = 3100011, amount = 1, monopoly = 1},
	[2] = {itemType = 3100011, amount = 1, monopoly = 1},
	[3] = {itemType = 3100011, amount = 1, monopoly = 1},
	[4] = {itemType = 3100011, amount = 1, monopoly = 1},
	[5] = {itemType = 3100011, amount = 1, monopoly = 1},
	[6] = {itemType = 3100011, amount = 1, monopoly = 1},
	[7] = {itemType = 3100011, amount = 1, monopoly = 1},
	[8] = {itemType = 3100011, amount = 1, monopoly = 1},
	[9] = {itemType = 3100011, amount = 1, monopoly = 1},
	[10] = {itemType = 3100011, amount = 1, monopoly = 1},
	[11] = {itemType = 3100011, amount = 1, monopoly = 1},
	[12] = {itemType = 3100011, amount = 1, monopoly = 1},
	[13] = {itemType = 3100011, amount = 1, monopoly = 1},
	[14] = {itemType = 3311646, amount = 1, monopoly = 1},
	[15] = {itemType = 3313533, amount = 3, monopoly = 1},
	[16] = {itemType = 3001407, amount = 1, monopoly = 1},
	[17] = {itemType = 3002030, amount = 5, monopoly = 1},
	[18] = {itemType = 3200879, amount = 5, monopoly = 1},
	[19] = {itemType = 3003125, amount = 2, monopoly = 3},
	[20] = {itemType = 3311646, amount = 2, monopoly = 1},
	[21] = {itemType = 3313533, amount = 4, monopoly = 1},
	[22] = {itemType = 3001407, amount = 1, monopoly = 3},
	[23] = {itemType = 3002030, amount = 6, monopoly = 1},
	[24] = {itemType = 3200879, amount = 1, monopoly = 1},
	[25] = {itemType = 3003125, amount = 3, monopoly = 3},
	[26] = {itemType = 3311646, amount = 3, monopoly = 1},
	[27] = {itemType = 3313533, amount = 5, monopoly = 1},
	[28] = {itemType = 3001407, amount = 1, monopoly = 3},
	[29] = {itemType = 3002030, amount = 8, monopoly = 1},
	[30] = {itemType = 3301242, amount = 1, monopoly = 1},
	[31] = {itemType = 3003125, amount = 4, monopoly = 3},

	specialPrize1 = {itemType = 3317927, amount = 1, monopoly = 1, needDays = 2,  proValue=20},
	specialPrize2 = {itemType = 3317928, amount = 1, monopoly = 1, needDays = 7,  proValue=40},
	specialPrize3 = {itemType = 3317929, amount = 1, monopoly = 1, needDays = 14, proValue=60},
	specialPrize4 = {itemType = 3317930, amount = 1, monopoly = 1, needDays = 21, proValue=80},
	specialPrize5 = {itemType = 3317931, amount = 1, monopoly = 1, needDays = 28, proValue=100},

	mask = { sign = "fuli_fxgpic", unsign = "fuli_fxgmbpic"},
}

-- ݽӿ
local function Unload()
   for k, v in pairs(SignPrize) do
      SignPrize[k] = nil
   end
   SignPrize = nil
end

local function GetItemType(nKeyIndex)
    local data = SignPrize[nKeyIndex]
    if (data) then
        return data.itemType
    else
        return 0
    end
end

local function GetItemAmount(nKeyIndex)
    local data = SignPrize[nKeyIndex]
    if (data) then
        return data.amount
    else
        return 0
    end
end

local function GetMonopoly(nKeyIndex)
    local data = SignPrize[nKeyIndex]
    if (data) then
        return data.monopoly
    else
        return 1
    end
end

local function GetNeedSignDays(nKeyIndex)
    local data = SignPrize[nKeyIndex]
    if (data) then
        return data.needDays
    else
        return 0
    end
end

local function GetSignMask(nKeyIndex)
    return SignPrize.mask[nKeyIndex]
end

local function GetSignInfo(key, index)
    local data = SignPrize[key]
    if (data) then
        return data[index]
    else
        return nil
    end
end

local signin = {
    Unload = Unload,
    GetAmount = GetAmount,
    GetItemType = GetItemType,
    GetItemAmount = GetItemAmount,
    GetMonopoly = GetMonopoly,
    GetNeedSignDays = GetNeedSignDays,
    GetSignMask = GetSignMask,
    GetSignInfo = GetSignInfo,
}

-- C++ʹõglobal
signin_Unload = signin.Unload
signin_GetItemType = signin.GetItemType
signin_GetItemAmount = signin.GetItemAmount
signin_GetMonopoly = signin.GetMonopoly
signin_GetNeedSignDays = signin.GetNeedSignDays
signin_GetSignMask = signin.GetSignMask
signin_GetSignInfo = signin.GetSignInfo

-- requireֵ
return signin
