-- ҳIcon
local FiveXThrAni = "GameMachines_WZ5x3slot"
local ThrXOneAni = "GameMachines_WZ3x1slot"

--غ´򿪶Ӧʾ
--еΪNPCID
local ReOpenTip = {
	[24854] = "Auto spin is over.",
	[24855] = "Auto spin is over.",
	[24856] = "Auto spin is over.",
	[25230] = "Auto spin is over.",
}


--5x3ťãܹ4ť
--ע⣬Ҫ0ʼò
local FiveXThrMoney = {
	--һť
	[0] = {
		--NPCID
		["NpcID"] = 24854,
		--ıʾ
		["text"] = "20K",
	},
	[1] = {
		--NPCID
		["NpcID"] = 24855,
		--ıʾ
		["text"] = "1KK",
	},
	[2] = {
		--NPCID
		["NpcID"] = 24856,
		--ıʾ
		["text"] = "2KK",
	},
	[3] = {
		--NPCID
		["NpcID"] = 24856,
		--ıʾ
		["text"] = "2KK",
	},
}

--ʯ5x3ťãܹ4ť
--ע⣬Ҫ0ʼò
local FiveXThrEMoney = {
	--һť
	[0] = {
		--NPCID
		["NpcID"] = 25230,
		--ıʾ
		["text"] = "20",
	},
	[1] = {
		--NPCID
		["NpcID"] = 25230,
		--ıʾ
		["text"] = "20",
	},
	[2] = {
		--NPCID
		["NpcID"] = 25230,
		--ıʾ
		["text"] = "20",
	},
	[3] = {
		--NPCID
		["NpcID"] = 25230,
		--ıʾ
		["text"] = "20",
	},
}

--3x1ťãܹ4ť
--ע⣬Ҫ0ʼò
local ThrXOneMoney = {
	--һť
	[0] = {
		--NPCID
		["NpcID"] = 22712,
		--ıʾ
		["text"] = "100K",
	},
	[1] = {
		--NPCID
		["NpcID"] = 17790,
		--ıʾ
		["text"] = "500K",
	},
	[2] = {
		--NPCID
		["NpcID"] = 22713,
		--ıʾ
		["text"] = "1KK",
	},
	[3] = {
		--NPCID
		["NpcID"] = 22714,
		--ıʾ
		["text"] = "5KK",
	},
}

--ʯ3x1ťãܹ4ť
--ע⣬Ҫ0ʼò
local ThrXOneEMoney = {
	--һť
	[0] = {
		--NPCID
		["NpcID"] = 20428,
		--ıʾ
		["text"] = "100",
	},
	[1] = {
		--NPCID
		["NpcID"] = 17781,
		--ıʾ
		["text"] = "300",
	},
	[2] = {
		--NPCID
		["NpcID"] = 17782,
		--ıʾ
		["text"] = "500",
	},
	[3] = {
		--NPCID
		["NpcID"] = 17783,
		--ıʾ
		["text"] = "1000",
	},
}

local function GetIconAni(id)
	local keyValue = nil

	if (id == 0) then
		keyValue = FiveXThrAni
	elseif (id == 1) then
		keyValue = ThrXOneAni
	end
	
	if (keyValue ~= nil) then
		return keyValue
	end
	
	return ""
end


local function GetFiveXThr(kind, id, key)
	local keyValue = nil

	if (kind == 0) then
		keyValue = FiveXThrMoney[id][key]
	elseif (kind == 1) then
		keyValue = FiveXThrEMoney[id][key]
	end
	
	if (keyValue ~= nil) then
		return keyValue
	end
	
	if (keyValue == "text") then
		return ""
	end
	
	return 0
end

local function GetThrXOne(kind, id, key)
	local keyValue = nil

	if (kind == 0) then
		keyValue = ThrXOneMoney[id][key]
	elseif (kind == 1) then
		keyValue = ThrXOneEMoney[id][key]
	end
	
	if (keyValue ~= nil) then
		return keyValue
	end
	
	if (keyValue == "text") then
		return ""
	end
	
	return 0
end

local function GetValue(kind1, kind2, id, key)
	local keyValue = nil

	if (kind1 == 0) then
		keyValue = GetFiveXThr(kind2, id, key)
	elseif (kind1 == 1) then
		keyValue = GetThrXOne(kind2, id, key)
	end
	
	return keyValue
end

local function GetReOpenTip(id)
	local keyValue = ReOpenTip[id]

	if (keyValue ~= nil) then
		return keyValue
	end
	
	return ""
end

local Slot = {
	GetReOpenTip = GetReOpenTip,
    GetFiveXThr = GetFiveXThr,
	GetThrXOne = GetThrXOne,
	GetIconAni = GetIconAni,
	GetValue = GetValue,
    Unload = Unload,
}

-- global
Slot_GetValue = Slot.GetValue
Slot_GetIconAni = Slot.GetIconAni
Slot_GetReOpenTip = Slot.GetReOpenTip
Slot_Unload = Slot.Unload

return Slot
