-- GetAnchor()
local Anchors = {
	TaskLogo = { x=6, y=6 },
	TaskLogoRight = { x=32, y=8 },
}

local LevelUpEffectInfo = {
    Tip = "LevUp_tips", --ֲ
    Num = "LevUp_Num", --ֲ֣0~910֡
    LiveTime = 3000, --ʱ
    PosX = -230, --ģ͵λƫX
    PosY = -200, --ģ͵λƫY
    IntervalTip = 340, --ֲֲֵXλƫ
    IntervalNub = 45, --ּļ
}

-- 
-- 	Anchor	êһȡͼƬתĵĻĲο
-- 	Axis	ᣬΪ"x""y"
-- ֵ
--	êͼƬϽǵƫֵλ
local function GetAnchor(Anchor, Axis)
	local f = Anchors[Anchor][Axis]
	if (f) then return f end
	return 0
end

local function GetLevelUpInfo(Axis)
    return LevelUpEffectInfo[Axis]
end

local SlotJakpotEffectInfo = {
    NubName = "GlCountDown_Num", --Դ
    LiveTime = 5000, --ʱ 
    PosX = 0, --λƫ
    PosY = -100, --λƫ
    NubOffsetX = -50, -- ֲλƫ
    NubOffsetY = 50, -- ֲλƫ
    IntervalNub = 20, --ּ
    EffectNum = 3,
    EffectInfo = {
        [0] = {
            EffectName = "777_dibg",
            MoveX = 0,
            MoveY = 0,
        },
        [1] = {
            EffectName = "777_baoxiang",
            MoveX = 0,
            MoveY = 0,
        },
        [2] = {
            EffectName = "777_wenzi",
            MoveX = 0,
            MoveY = 0,
        },
    },
}

function UIAniRender_GetSlotJakpotInfo(Axis)
    return SlotJakpotEffectInfo[Axis]
end

function UIAniRender_GetSlotJakpotEffectInfo(Index, Axis)
    return SlotJakpotEffectInfo["EffectInfo"][Index][Axis]
end

-- ͷڴ
local function Unload()
	UIAniRender_GetAnchor = nil
	UIAniRender_Unload = nil
	UIAniRender_Unload = nil
	LevelUpEffectInfo = nil
end

-- ͨrequireLuaűʹ
local UIAniRender = {
	GetAnchor = GetAnchor,
    GetLevelUpInfo = GetLevelUpInfo,	
	Unload = Unload,
}

-- C++ʹõglobal
UIAniRender_GetAnchor = UIAniRender.GetAnchor
UIAniRender_GetLevelUpInfo = UIAniRender.GetLevelUpInfo
UIAniRender_Unload = UIAniRender.Unload

-- requireֵ
return UIAniRender

