local ServerCfg = {
normal        = 0,
classic        = 1,    -- ɰ汾
notrade        = 2,    -- ɽװ汾
gold        = 4,    -- ҷ
new            = 8,    -- ·
passion        = 16,    -- 
}

local T_UserData = {
}

local function GetServerType()
    return T_UserData.serverType
end

local function SetServerType(server_type)
    T_UserData.serverType = server_type

    if (Cpp_And(server_type, ServerCfg.new) > 0) then
        T_UserData.isNewServer = true
    end

    if (Cpp_And(server_type, ServerCfg.passion) > 0) then
        T_UserData.isPassion = true
    end
end

-- Ƿ·
local function IsNewServer()
    return T_UserData.isNewServer
end

-- Ƿ
local function IsPassionServer()
    return T_UserData.isPassion
end

local function ResetDynamicData()
    T_UserData = {}

    -- 
    T_UserData.serverType = 0
    T_UserData.isNewServer = false
    T_UserData.isPassion = false
end

local function Unload()
    ResetDynamicData()
end

local UserData = {
    GetServerType = GetServerType,
    IsNewServer = IsNewServer,
    IsPassionServer = IsPassionServer,
    ResetDynamicData = ResetDynamicData,
    SetServerType = SetServerType,
    Unload = Unload,
}

UserData_GetServerType = UserData.GetServerType
UserData_IsNewServer = UserData.IsNewServer
UserData_IsPassionServer = UserData.IsPassionServer
UserData_ResetDynamicData = UserData.ResetDynamicData
UserData_SetServerType = UserData.SetServerType
UserData_Unload = UserData.Unload
return UserData
