local VideoName = {
[0] = "video/NinjaOnLine.mp4",
[8] = "video/NinjaOnLine.mp4",
[20] = "video/NinjaOnLine.mp4",
[28] = "video/NinjaOnLine.mp4",
}

local VideoRewardInfo = {-- ɰ汾
--  
[0] = {
		Item0=3304317, 
		ItemAmount0=1,
		PanelID = {
					ID=0,
		},
		RunInfoId = {
					id=1,
					mapid=1002,
					posx=350,
					posy=440,
					radius=2,
					npcid=6297,
		},
		HeroLev=0,
	},
[8] = {
		Item0=3304317, 
		ItemAmount0=1,
		PanelID = {
					ID=0,
		},
		RunInfoId = {
					id=1,
					mapid=1002,
					posx=350,
					posy=440,
					radius=2,
					npcid=6297,
		},
		HeroLev=0,
	},
[28] = {
		Item0=3304317, 
		ItemAmount0=1,
		PanelID = {
					ID=0,
		},
		RunInfoId = {
					id=1,
					mapid=1036,
					posx=193,
					posy=181,
					radius=2,
					npcid=6297,
		},
		HeroLev=0,
	},
}

local VideoPushCondition = {
HeroLev=0,
Metepsychosis=0,
PROFSORT_WARRIOR="1,2,3,4,5,6,7,8,9,10,13,14,16",
}

local function GetVideoPushCondition(Index)
    return VideoPushCondition[Index]
end

local VideoData = {
--콵»:12
	[1] = {
		-- ťAni
		["ImgAni"] = "VideoFP_MainBtn",
		["ImgAniOffsetX"] = 0,
		["ImgAniOffsetY"] = 0,
		-- ťFgAni(ȸͼƬ)
		["FGAni"] = "",
		["FGAniOffsetX"] = 35,
		["FGAniOffsetY"] = 0,
		-- ťЧ
		["FGEffect"] = "VideoFP_btn",
		["FGEffectLoop"] = 1,
		["FGEffectOffsetX"] = 30,
		["FGEffectOffsetY"] = 20,
		-- 콵»ťıƫ
		["TextOffsetX"] = 0,
		["TextOffsetY"] = 0,
		-- 콵»ʱЧ
		["CountAni"] = "CountB%c",
		["CountSize"] = 40,
		["CountScaleX"] = 0.3,
		["CountScaleY"] = 0.25,
		["CountOffsetX"] = 0,
		["CountOffsetY"] = 10,
	},
}

local function GetMyVideoInfo(index)
	local serverType = UserData_GetServerType()
	local f = VideoRewardInfo[serverType]
	if(f ~= nil) then
	    local t = f[index]
	    if(t ~= nil) then
		return t
	    end
	end
	
	return 0
end

local function GetMyVideoInfoId(index, key)
	local serverType = UserData_GetServerType()
	local f = VideoRewardInfo[serverType]
	if(f ~= nil) then
	    local t = f[index]
	    if(t ~= nil) then
			local c = t[key]
			if(c ~= nil) then
			return c
			end
	    end
	end
	
	return 0
end

local function GetInfoId(title,index)
	local f = VideoRewardInfo[title]
	if(f ~= nil) then
	    local t = f[index]
	    if(t ~= nil) then
		return t
	    end
	end
	
	return 0
end


local function GetInfo(title)
	local f = VideoRewardInfo[title]
	if(f) then
	    return f
	end
end


local function GetVideoName(Index)
    return VideoName[Index]
end

local function GetVideoData(id, key)
	local keyValue = VideoData[id][key]

	if (keyValue) then
		return keyValue
	end
	
	if (key == "ImgAni" or key == "FGAni" or key == "FGEffect") then
		return ""
	end
	
	return 0
end

-- ͷڴ
local function Unload()
    VideoName = nil
end

local Video = {
	GetVideoPushCondition=GetVideoPushCondition,
	GetMyVideoInfoId=GetMyVideoInfoId,
	GetMyVideoInfo=GetMyVideoInfo,
	GetInfoId = GetInfoId,
	GetInfo = GetInfo,
    GetVideoName = GetVideoName,
	GetVideoData = GetVideoData,
    Unload = Unload,
}

-- C++ʹõglobal
Video_GetVideoPushCondition=Video.GetVideoPushCondition
Video_GetMyVideoInfoId=Video.GetMyVideoInfoId
Video_GetMyVideoInfo=Video.GetMyVideoInfo
Video_GetInfoId = Video.GetInfoId
Video_GetInfo = Video.GetInfo
Video_GetVideoData = Video.GetVideoData
Video_GetVideoName = Video.GetVideoName
Video_Unload = Video.Unload

-- requireֵ
return Video