local AwakeInfo = {
	Mete = 2,	--觉醒任务开启的转世条件
	Level = 100, --觉醒任务开启的等级条件
	FirstMissionID = 4177,  --觉醒任务第一个任务的ID
	FinalMissionID = 4177,	--觉醒任务最后一个任务的ID（完成后开启百兵谱）
	CartoonIndex = 1,	--漫画ID
}

local NewSkill = {
	TotalTime = 1000, --一次技能掉落的时间
	Interval = 1500, --两次技能掉落开始时间的间隔，必须大于等于TotalTime
}

function WarriorAwake_GetNewSkillInfo(Axis)
	return NewSkill[Axis]
end

function WarriorAwake_GetAwakeInfo(Axis)
	return AwakeInfo[Axis]
end

-- 清理变量释放内存
function WarriorAwake_Unload()
	AwakeInfo = nil
	AwardItemTip = nil
	AwardItemImg = nil
	GetNewSkillInfo = nil
end

